Welcome to Swift 3D V2

Hi, my name is Nick.

Ok, now you're just a little freaked out. The Help System just introduced itself.

Well don't be alarmed. It's just the way we do things at Electric Rain. You see, just because we build software doesn't mean that we have to function like every other company that builds software. In fact, I'd like you to put most of what you know about software documentation into a dark closet and lock the door, because this is not your typical Help System, and I am not your typical technical writer. I'm just some guy who lives on a small farm in Vermont who loves to write and happens to know Swift 3D inside and out.

Our goals at Electric Rain are simple: build world-class software, conduct business with unconditional integrity, have gobs of fun and share that fun with our users. And that's where you come in. We can create the absolute best 3D vector tool in the industry, but until we educate you on how to use it, we've accomplished nothing. In the past, Help Systems have served the purpose of conveying one important message - what the software can do. The good ones take it a step further and teach the important lesson of how to actually use the software. Hopefully you will find that the Swift 3D V2 Help System accomplishes both those tasks efficiently. But there is still one thing that has been missing from the world of software documentation and that's the sharing of the fun.

We had an absolute blast creating Swift 3D V2, and my goal is to share that same excitement with you while learning the application. My instinct tells me that you want more from a Help System than just a reference document. I believe that you want to walk away from the experience with an implicit understanding of Swift 3D. You want to do more than just learn what notes this powerful instrument can play - you want to learn how to create beautiful music with it. And maybe, just maybe, you want to actually enjoy the experience of learning software and have a few laughs in the process.

These may seem like lofty goals for a simple Vermont farmer, but we feel strongly that it's what you deserve as a user of Swift 3D and a supporter of Electric Rain. Thanks for joining the fun.

Now relax and just “let it rain.”


What it's all about?

In a nutshell, it's 3D for Flash. But then again, you probably already know that. But wait, there's more. Swift 3D was originally built to serve a demand created when Macromedia Flash began coming on strong as the leader in Web animation. But now the horizons have broadened for both Swift 3D and for Flash itself. Designers have found that the Flash authoring tool serves as a great medium for delivering dynamic and interactive content on more than just the Web. We're starting to see CDs, presentations, gaming and even TV programming that uses vector graphics as the foundation for brilliant multimedia communication.

And wherever vector graphics go, Swift 3D follows. 3D graphics have long been a staple for TV and video production, and now that the line is blurred between what you see in your living room and what happens on your computer monitor (or PDA, game system or phone for that matter), 3D continues to be a great method of creating the proverbial ‘Eye Candy.’ So the next logical step is to begin incorporating TV quality 3D effects into these other forms of visual communication.

Which brings us back to the topic at hand - Swift 3D. This application was designed for folks who are in the business of creating these various forms of multimedia communication, but don't necessarily have extensive experience designing 3D animations, or have access to a full suite of 3D software applications. Swift 3D brings to the table a powerful set of modeling and animation tools in a super-intuitive user interface so folks like yourself can spend time creating great 3D design rather than fighting the typical 3D application learning curve.

So yes, Swift 3D is 3D for Flash. But as the world of vector graphics continues to develop, so do the uses for Swift 3D. We welcome you to take this software and run with it. Show us the future of 3D vector graphics. And remember, we just build the piano, we’re counting on you to play the beautiful music.


About this Help System

As mentioned earlier, this Help System strays from the norm by combining your typical conveyance of information with a more elaborate theme of user education. To accomplish this goal, we'll use the following structure:

First, we'll take a look at the Swift 3D interface via the Quick Tour. We've gone to great lengths to design software that's as intuitive as possible, but a general familiarity with the program can do a lot to prevent any initial head scratching due to a simple misunderstanding of workflow or tool-use. The Quick Tour exists for you to get the proverbial “lay of the land.”

Of course, there's nothing like actually rolling up your sleeves and getting dirty, so once you're comfortable with the general layout and functionality of Swift 3D, we'll go ahead and crank out a 3D animation in the Tutorial chapter. Although virtually impossible, we'll attempt to hit all the main features of Swift 3D in constructing your own version of the ‘DemoBuggy’ concept car.

The bulk of this Help System is designed to provide you with the full details of every last bell and whistle within the Swift 3D interface. Each chapter will begin with an overview and then quickly get into the details of how to accomplish exactly what you want. I'll try and focus on the most common applications for each tool without forgoing information that gives you the freedom to take each functional component of Swift 3D to the next level.


Additional Information

Strewn throughout the Help System you'll find ‘Nick’s Tips,’ which are tricks, shortcuts and hints that may expedite your journey through the world of Swift 3D. Despite Swift 3D's transparency of functionality, there are always subtle nuances that can be overlooked by the virgin user. After playing with this application for almost 2 years now, I'm happy to share any relevant knowledge I've acquired along the way.

I have also thrown in a smattering of ‘File Size Alerts’ for those users who are striving for svelte files for use on the Web. I'll be the first to say that 3D animations can get pretty big, pretty fast. Despite the significant improvements in bandwidth consumption that vector graphics has to offer, it is not a panacea. Stay tuned for these snippets of advice on keeping things tight.


Tutorials

I'm very excited for a series of tutorials we're offering with the release of V2. Swift 3D is an easy-to-use tool, but as much as the writer in me likes to admit, nothing compares with the power of visual demonstration. A basic foundation of tutorials are included on the Swift 3D CD-ROM, and for those who have downloaded the program you'll find the tutorials online, accessible via the Help menu within the Swift 3D interface or at www.erain.com. As V2 rolls out, we’ll surely be adding to the list of online tutorials, so you can check in from time to time to see if there’s anything new.


Online Help

Because the printed word is quickly becoming an artifact in the culture of software, we offer the entire Swift 3D User Guide in an HTML Help format. You can access the electronic version of the exact words and images contained in this printed document by selecting Online Help from the Help menu within the Swift 3D interface. This help system is fully indexed and searchable so you may find it more convenient than this book. But I still challenge you to drag your CPU into bed for some end-of-the-day software education. And I'll bet folks will think you're a little off when you bring your laptop into the bathroom for some light reading.


PDF of User Guide

We also distribute the contents of this User Guide in PDF form. Maybe you want to print a second copy or enjoy the more book-like presentation of the Portable Document Format over the HTML Help style. Whatever the case may be, we let you decide how to view your educational material.

Once you've read every last word in the User Guide, paid attention to each little tip and viewed every single tutorial, if you still have a question on how Swift 3D works, write me a personal email at npetterssen@erain.com. That's right, I just gave you my email address. Why, you ask? Electric Rain is determined to offer the highest quality user experience possible and understanding our software is the most integral part of this experience. If you make it through all of the resources we offer (see upcoming section on technical support as well) and are still foggy on how Swift 3D functions, we've fallen short of our goal. Write me your question and I'll get you an answer. It may come back from our support department, but it will come back quickly, and then I'll know where our educational efforts need to be fortified in the future.


User Guide Standards

Help System Standards

As is the case with any form of communication, there are some standards I'd like to cover so we're all speaking the same language here.

Click means press the mouse button once and release it.

Right click on the Windows platform means press the right mouse button once and release it.

CTRL + click on the Macintosh platform means depressing the CTRL key while clicking the mouse button.

Double click means press the mouse button twice in rapid succession.

Click-and-drag means press and hold the mouse button while you move the cursor.

Select means choose or highlight an item by clicking on it.

Key names are given in caps (CTRL, SHIFT, ENTER, etc.). When keys should be pressed simultaneously, their names are connected by a ‘+’ sign.

Menu commands are referred to by their Menu Name > then the Menu Item > followed by any further Menu Item Subcategories. For example, Setup > Materials means open the Setup menu and choose the Materials menu item.


Technical Support Overview

Technical Support

Wouldn't it be nice to design a product that everyone understands so thoroughly they never have a question? Wouldn't it be great if our products always worked flawlessly no matter what sort of torture users put it through? Wouldn't it be great if Team ERAIN could solve the world hunger problem with a nicely designed piece of software? Unfortunately, reality dictates that despite our addiction to quality, things break. Fortunately, Electric Rain dictates that broken stuff gets fixed.

If you happen to encounter something that breaks, doesn't behave as you'd expect, or even seems just slightly fishy, we ask that you remain calm and tap into our available resources in order to remedy the situation. More often than not, the solution is close at hand, and if not, we'll place it there.


Web Support

It's a fool that doesn't use the Web for what it's good at. And one thing it's really good at is conveying up-to-date information like solutions to tech support issues. In a concerted effort to avoid being called fools, we have an entire division of our Web site devoted to answering these types of questions. Even if it's as simple as finding that your solution has been fixed in a recent build and you can get it from our Customer Only Web Site, that's valuable information that can be gleaned at any hour, from any online computer anywhere in the world. Translation: It's cheaper than a phone call and quicker than an email. To access the following Web support options you can choose Help > Swift 3D Technical Support Site or visit www.erain.com and head to the support section.


Searchable Knowledgebase

This area of our support Web site is a complementary resource to the Help System. You can now do targeted searches on bugs, error message descriptions and hard-to-find information via our keyword searchable database. There's no quicker or easier way to get a hold of this type of information regarding Swift 3D and we assure you that the content in this database is accurate, accessible and serves as the foundation of our technical support system.


FAQs

The basic concept behind our Frequently Asked Questions is “If it happened to you, it's probably happened to someone else.” We have an extensive list of FAQs in our support area that will most likely answer the most common questions or issues. With a quick browse, you'll be a self-answering unit with just a few clicks.


Online Forum

After seeing how many questions that get posted about Swift 3D on Flash-related resource sites, we decided to create our own area for folks to come in and discuss the use of our products. This area is really designed to facilitate users communicating with users, but we check in daily to make sure that everything posted gets a response one way or the other. The forum is great for folks who have questions relating to how Swift 3D interacts with other applications because we openly admit to not being the ultimate authority on dynamic content publishing. That title belongs to our users who are building cool stuff for a living.


Customer Only Web Site

At Electric Rain, we're a little fanatical about our customers using the best software we have to offer. We use our Customer Only Web Site as a means for distributing the most recent build of Swift 3D, so when we have feature updates and bug fixes, this is where you'll be coming to access any improvements. If you've purchased the CD-ROM version of Swift 3D, you may want to head to the Customer Only Site immediately due to the lag time in CD production and distribution. To do this, you need to choose Register Swift 3D Online from the Help menu if you didn't already register the product, and then head to the Customer Only Site by selecting Swift 3D Customer Only Site from the same menu.


Email Support

If we haven't satisfied your needs via the Help System or through the Support section of our Web site, we welcome you to utilize our industry-leading email support system. The basic idea is you email us an explanation of your problem and we email you back the appropriate solution. However, if you've already explored our other help resources and came up empty handed, your question or problem is probably a tad more complex and we'll need some information to remedy the problem. The following is a list of things that will be helpful for us to reference as we work on your situation:

1. What type of machine do you have?

2. CPU type and speed?

3. What operating system and version of that system are you running?

4. How many megs of RAM do you have?

5. What video system do you have?

6. What program, version number and build number do you have? (Under Help > About Swift 3D - WIN or Apple Menu > About Swift 3D - MAC)

7. What exactly is happening?

8. What steps lead up to the problem?

9. Are there any files associated with the problem (T3D, AI, EPS, SWF, 3DS or DXF)? If so, please attach them.

10. Are there any related error messages? If so, please tell us what they are.

Our email support policy is that we'll get you a response within 48 hours, but we typically get back to you within 12 hours or less. Keep in mind that the more technical the issue, the more time it may take to resolve your issue and the attachment of any relevant files will almost guarantee a more timely and accurate response.


Quick Tour Overview

Overview

The Quick Tour is designed for new Swift 3D users to get their bearings. In the vast sea of software, we rank solidly in the easy-to-use category, so I can't say that reading this chapter is absolutely paramount to your success with Swift 3D. On the other hand, you may happen to be the type of learner who likes to get to know their surroundings before interacting with them. You may want to know what things are meant for and what order they should be used in. Some folks, however, take the more direct approach and learn new things simply by doing them. For those types of learners I'd direct you to the Tutorial in Chapter 3. You know yourself best, so I'll leave the decision to you.

As we go through and tour all of Swift 3D's primary features, don't hesitate to mess around with each item as they are explained. At the very least you can move your cursor around the interface and note the little Tool Tips that pop up when you hover over an object, as well as read the longer description down in the lower left corner of the interface. If you end up getting yourself into trouble due to random clicking, dragging and toggling, just close your current document without saving, open a new document and continue exploring (with a little less clicking, dragging and toggling).


Creating a new document

Since many of Swift 3D's functions don't present themselves until you have an open document, start by doing a File > New command. If you are on the Macintosh platform, simply launching Swift 3D will provide you with an open document automatically. Another option for opening new documents is to use the toolbar shortcuts:

Once you have finalized the completely un-daunting task of opening a new document, you'll be faced with the swift 3D interface.If you are currently running at 800 x 600 screen resolution, and are using a monitor that can handle 1024 x 786, I strongly recommend bumping up to this next level. Since Swift 3D is a very graphical application, the more area you can allow for displaying your 3D scene, the better. But if you are limited to 800 x 600 it's not a problem. You will still maintain all of Swift 3D's functionality, but you may just have to move a few toolbars around to comfortably fit everything on the screen at once.


Customizing the Swift 3D Interface

Customizing the Interface

Which brings us to our first teachable moment. Swift 3D ships with a standard configuration of all toolbars docked, as opposed to the floating toolbar look of some graphical programs. But you can customize the interface by undocking and docking almost all of the toolbars (the various windows you see) to meet whatever layout needs you might have. The only toolbar you cannot undock is the Main Toolbar that stretches across the top of the interface. Depending on the size and shape of your 3D scene you can undock some toolbars and leave them floating in convenient places.

Nick's Tips

We spent many an hour discussing the most efficient layout for Swift 3D, and this default configuration was the chosen one. But I have never advocated the quashing of innovation, so by all means, commence the undocking procedure, captain. But I have to warn you ahead of time that once you begin moving these things around, all hell could break loose. Not a literal hell mind you, with fire, brimstone and out-of-order soda machines, but rather a situation where you may not know exactly how to get back to where you originally started. Between you and I, the best order for re-docking the toolbars is this:

1. The Properties Toolbar goes to the left.

2. The Animation Toolbar goes to the top.

3. The Trackball Toolbar goes to the bottom.

4. The Lighting Toolbar goes to the bottom (just to the right of Trackball Toolbar).

5. The Gallery Toolbar goes to the bottom right.


To Undock a Toolbar

1. Move your cursor near any border of the toolbar you wish to move until it changes into a Docking Cursor.

2. Click and hold the mouse button and a black border will appear around the toolbar indicating that you have it in your control.

3. Move the toolbar to your desired location. As you approach the edges of your screen the toolbar may resize itself to fit into a new docking position. If you would like to leave the toolbar floating, hold the CTRL key down while you move it.

4. When you've got the black border where you want it, release the mouse button and you're in business.

To hide a visible toolbar or show a hidden toolbar, use the View menu. Visible toolbars will be checked and hidden toolbars will be unchecked. The menus are covered more in-depth at the end of this chapter.

Another way to manipulate the interface's appearance is to move the borders between the toolbars, thus resizing them without changing their location. For instance, maybe you would like to see more materials displayed so you resize the two trackballs to allow more room for the Materials Palette.


To Resize Toolbars

1. Move your cursor near the edge of the toolbar you wish to adjust. When the

2. cursor changes to the Move Border Cursor, click-and-drag on the border.

3. Adjust the toolbar's border to your desired position.

4. Release the mouse button. Voila!

NOTE: If you've tried to make the toolbar smaller than it's comfortable with (they're sensitive about looking too diminutive) it will bounce back to its smallest possible size.


Scene Editor

You'll notice that there are four tabs along the top of the Swift 3D interface, with the default being the Scene Editor. You can consider this tab the primary Swift 3D interface where you create your 3D scenes. The second two tabs are tools that allow you to create 3D objects and the final tab is where you will generate and export your final vector files. Most of your time will be spent working within the Scene Editor, and that's where we'll pick up the Quick Tour, starting smack dab in the middle of it all with the Viewports.

Swift 3D Tabbed Interface:


Viewports

The Viewports are your windows into the 3D scene you are about to create. If you're an analogy-lover like myself, the lens of a video camera fits the bill. You should be very interested in what goes on within the confines of the Viewport since it's where the only visible action will take place in the scene. If you have objects that lie outside of the Viewport they will not be seen in the final exported image unless they enter the Viewport through an animation path. By default, Swift 3D will open with two Viewports showing, but you can turn one of them off by clicking the Show Secondary Camera button on the Main Toolbar.

Dual Viewports:


Camera Dropdown List

Of course, if we only offered one view, it would be akin to handing you a really expensive camera and then sticking your feet in a bucket of cement. Half of the fun in having a nice camera is the ability to move around your subject and capture images from different views, so we offer 7 different cameras by default with the ability to add as many custom cameras as you like. You select which camera you would like to use from the Camera dropdown list located in the upper left corner of the Viewport.

Camera Dropdown List:


Reference Grid

In our daily 3D world it's easy to stay oriented since we have familiar reference points like walls, floors and ceilings to figure out the respective locations of objects such as chairs, plants and people. Within Swift 3D's world, there are no objects until you create them, so we have supplied you with a 3D grid based on the X, Y and Z coordinate system. The red line represents the X or horizontal axis, the green line is the Y or vertical axis, and the blue line (just a point until you alter your camera view) shows you the depth of your 3D world, or your Z-axis. The intersection of these three lines is the absolute center of your scene, and its coordinates are X = 0, Y = 0 and Z = 0.


Properties Toolbar Overview

Properties Toolbar

The Properties Toolbar is like backstage at a big theatre production. All the action may be occurring on the main stage, but there's much more activity happening behind the scenes that makes the production come off as spectacular. The key to getting a quick understanding of the Properties Toolbar is to note that it is completely selection sensitive. Whatever object you have selected at the time, whether it be a sphere, a light or a camera, will determine which information gets displayed within the Properties Toolbar. And it's more than just the information that changes, because each type of object has different characteristics that can be manipulated.

The Property List Box, located at the top of the Properties Toolbar, is basically a list of categories of properties. As these categories are selected you are presented with a Property Page that displays settings related to that particular category. There are only three Property Pages that are displayed consistently, no matter what objects are selected, and those are Layout, Camera and Environment.

Properties Toolbar:


Layout Properties

Layout

This is where you designate the size and proportions of your final rendered file. For all of you raster-heads now is the time to drop that confined bitmap feeling where you have to calculate your exact dimensions while designing a scene. Welcome to the world of 3D vectors where everything is scalable and nobody cares what size you build your scene at.

Actually, I have to admit it's not all peace, love and ignorance here. There are a few things that we should mention at this Layout juncture. First is that the dimensions of your scene can have an effect on the accuracy of your rendered file. You will probably only notice a slight dissipation of line and fill precision when you create a scene that is very, very small and then increase its dimensions significantly after rendering. Second, the smaller the dimensions of your scene, the faster the Swift 3D rendering engine will crank out your final file.

Display

The Display property refers to how and what things are going to be displayed within the Viewport.

Shaded - With this display option selected, objects will be shown as solid shaded objects covered with whatever their designated materials are. You'll notice that as soon as you begin to move or rotate an object it will go into the Fast Shaded mode while you manipulate it.

Fast Shaded - This mode of display rendering will show your objects as shaded, but without the smooth gradients. Instead you will see all of the polygons that make up your objects, each with a separate flat fill. This setting is good when you're working with more detailed models.

Outline - This displays objects as wireframes only, with no shading. In other words, you will see the polygonal structure of your objects rather than their smoothed surfaces. This mode can be useful when you have complex 3D models and intricate animation paths since it speeds up the process of redrawing your objects every time you make a change in your scene.

Box - This option just shows the smallest three-dimensional box that each of your objects could fit into. This is an even more efficient method of speeding up the internal rendering when working with very detailed, high polygon models.

Pivots - This will allow you to choose between being able to see an object's pivot point location when it's selected, and never seeing the pivot locations within the Viewport.

Paths - This displays any animation paths that have been applied to your objects. The path of the object will be shown as a purple line.

Grids - This turns on and off the X, Y, Z coordinate reference grids. All of the numerical coordinates will still exist when the grid is turned off, but you won't have all of the reference lines showing.

Hidden - This is used to show or hide objects that have been designated as Hidden. You can designate an object's state within the Object Page of the Properties Toolbar. This display option is on by default, so if you ever hide an object you must uncheck this box to actually make it hidden within your scene.


Environment

Background Color

This setting controls the color that sits behind your scene, sort of like a backdrop. For those of you with animated GIF experience where transparent backgrounds are hip, Swift 3D exports purely vector files so the background color becomes slightly irrelevant if you are planning on importing your rendered file into another 2D vector authoring application like Macromedia Flash or Adobe LiveMotion. If you happen to be exporting to the SWF file format, all Swift 3D does is add some extra information to your file that tells the Flash Player what color to use as a background color. The background has absolutely no connection with your 3D scene once it has been exported.

Furthermore, any other application you import your Swift 3D-generated files into will override your designated background (see chapter on Working With Exported Files for more information on this topic). This all adds up to the following advice: set a specific background color only if you want to either visually reference the background color of the larger project you'll be importing the 3D animation into, or if you will be playing your 3D vector animation without further editing in another application.

Ambient Light Color

Imagine a large sphere surrounding your scene. Whatever color you choose to apply to the sphere is considered your Ambient Light Color and glossy objects in your scene will take on a tint of that surrounding material.

As for its use, it can create a nice subtle object coloring effect when used properly, but for the average 3D scene its scope is limited. The main reason you would adjust this setting is to lend a tint of color to objects that are default gray or lightly colored, or if you want to lighten or darken your objects overall. If you've applied medium to dark materials to your objects, any color changes (aside from black or white) you make to the ambient lighting will have a negligible effect.

Environment Properties:

To change your environment:

1. Click on the Environment Page in the Properties Toolbar.

2. Double click on the default color for the Background Color or Ambient Light Color, depending on which setting you want to adjust.

3. Use the Color Palette (WIN) or Color Picker (MAC) to choose or make your desired color.

4. Click OK.


Main Toolbar

The Main Toolbar contains a variety of buttons that let you insert objects, create lights and cameras and manipulate other parts of your scene. The first three file shortcut buttons have already been discussed earlier in the section on File Shortcuts.


Create Object Buttons

These buttons allow you to create text and simple objects (called primitives) within your scene. They are about as easy to use as a light switch - a simple click will place your chosen object onto the intersection of the X, Y and Z axis lines. All of these objects arrive in your scene with their default characteristics, including standard size and a default gray material applied to them.

Create Object Buttons:


Create Light Buttons

These four buttons allow you to create lights designed to be manipulated within your scene. Called Scene Lights, these lights differ from the Trackball Lights.

Create Scene Light Buttons:


Create Camera Buttons

Here you are able to create two specific types of cameras, the Free Camera and the Targeted Camera. These cameras are unique in that they can be manipulated directly within your scene and can be fully animated.

Create Free and Target Camera Buttons:


Camera Control Buttons

These allow you to control certain aspects of your cameras. The Show Secondary Camera button allows you to choose between using one or two Viewports while creating your 3D scene. The Camera Pan Button allows for manipulating cameras in certain situations. And the Zoom Camera Extents button allows you to quickly re-orient your camera view.

Camera Control Buttons:


Scaling Button

The Scaling button is a mode that you can slip into where any object you click-and-drag on will have its scale altered. Scaling mode is a one-time thing, so as soon as you’re done scaling one object, it will toggle off automatically.

Scaling Mode Button:


Animate Button

The animate button is also a mode you slip in and out of, only this one allows you to make changes to the Animation Timeline when it is toggled on. While off, however, you cannot make any alterations to the Timeline.

Animate Mode Button:


Rotation Toolbar

Down in the lower left hand corner of your scene are two toolbars that are probably unlike anything you've ever used before. We call them Crystal Trackballs and they are beyond easy to use. They work as if you were rotating a virtual trackball with your mouse. Just click-and-drag on the surface of the ball and it will turn whichever way you choose.

The Rotation Trackball is designed to let you adjust the orientation of objects in your scene. It remains inactive until you have selected an object. Once you have something selected, the object appears within the Rotation Trackball and can be rotated by clicking and dragging on any part of the trackball itself. You will see the object spinning or rotating within the trackball and within your active Viewport simultaneously. If you have multiple objects or a group of objects selected, they will all appear in the trackball as well.

The buttons to the left of the Rotation Trackball are available to help refine your rotation movements, and the buttons on the right are there to quickly restore objects to their original state.

Rotation Toolbar:


Lighting Toolbar

This trackball allows you to control the placement, location and type of lights that illuminate your scene. Think of the lights as being positioned on the outside of an imaginary sphere shining into the center of your scene. The sphere's size can vary depending on the size of your scene, but it is always twice as large as would be necessary to encompass your entire scene. In other words, the more spread out your objects are, the farther your lights will be from the center of your scene.

The buttons to the left of the Rotation Trackball are available to help refine your rotation movements, and the buttons on the right are there to create and delete Trackball Lights.

Lighting Toolbar:


Gallery Toolbar

The Gallery is a combination of two types of tools, Materials and Animations. The two buttons on the left of the toolbar allow you to select which set of tools are displayed at any given time. This gallery section works under the basic principal of drag-and-drop, so everything you see within the two palettes are what comes standard with Swift 3D. Both Palettes are designed to be augmented and customized by the user, so please don't infer that what you see is what you get. It's merely what you start with.

Materials Palette

Materials are sort of like colors, only better. Each material consists of an Ambient Light, a Diffuse Light and a Highlight, which are covered more in-depth in the Materials chapter. The prefab materials get applied through clicking and dragging them from the palette to your objects.

Animation Palette

Swift 3D comes with a handful of predefined animations that you can apply to any object or group of objects placed into your scene. These drag-and-drop animations are the absolute simplest way to add motion to your scene. To preview any of these animations, just click on the Animation Display Window. In the Animation chapter you'll learn how to create more complex animations as well as design your own drag-and-drop animations.


Animation Toolbar

The Animation Toolbar is used to make your scene come to life. Whenever your scene changes over time, the Animation Toolbar displays the relevant information. It can be used as a reference when using drag-and-drop animations, or as a powerful keyframe animation tool, much like in Macromedia Flash or Adobe LiveMotion. There is an entire chapter on the Animation Timeline that I'm sure you'll want to read.

Animation Toolbar:

That's it for the Scene Editor. Now we'll move quickly through the remainder of the Tabs across the top of the Swift 3D interface.


Extrusion Editor

Welcome to a bizarre world where everything you draw in 2D becomes 3D. It's called the Extrusion Editor and it's cool (but I'll let you be the judge of that). The basic idea is that you pick up a pen, draw some stuff within this interface and it will instantly become a 3D object in the Scene Editor. This powerful tool now allows you to do 2D extrusions from within Swift 3D, eliminating the need for 3rd party 2D drawing applications. For more information on the process of extruding 2D shapes, please see the chapter on the Extrusion Editor.

Extrusion Editor:


Lathe Editor

Once again we venture to a land seldom visited by mere 2D mortals. The Lathe Editor is a 3D modeling tool that allows you to draw a simple path and have Swift 3D spin that shape around an Axis of Rotation and instantly create a 3D object in the Scene Editor. The Lathe Editor and the Extrusion Editor share an identical interface, but their functions are quite dissimilar. For more information on the process of creating lathed objects, please see the Lathe Editor chapter

Lathe Editor:


Preview and Export Editor

And here is where the true beauty of Swift 3D resides. Hey, let’s face it, if we didn't have the RAViX II rendering engine under the hood of this baby you’d still be rendering out big, fat raster files, thinking, “There’s got to be a better way to get 3D to the Web.” Well, Team ERAIN had that very same though about two years ago, and here we sit in the Preview and Export Editor of Swift 3D. Isn't life beautiful?

This section of the Swift 3D interface is the final stage of your 3D creations as they evolve from mere concept to fully functional 3D vector animations. Once you are happy with your project, or simply want to test your scene's state of affairs, click on over to the Preview and Export Editor and render some files. The basic workflow here is a three-step process. First you get to choose what style of output you want, then you generate a preview of your scene (more commonly known as 'rendering' in the 3D world), and finally, if you like what you see, you export your rendered animation to a file.


File Menu

New, Open, Close, Save and Save As are all standard functions you'll see on most program.

New From 3DS is a command that lets you build a new scene based on an imported 3DS file.

Save Animation has to do with creating your own drag-and-drop animations - discussed in the chapter on Animation.

The Import command allows you to bring in Encapsulated PostScript (EPS) or Adobe Illustrator (AI) files and turn them into three-dimensional objects. You can also import DXF files, a popular 3D model file format.

The Recent Documents line will list the recent Swift 3D documents you have been working on.

Exit is computer-speak for Vaya con Dios.


Edit Menu

Unlimited Undos is music to my ears. No matter how good you are at using a program, you'll eventually mutter the words, “Whoa, what happened?” It's times like these I reach for the Undo button and say a prayer to the RainMaker.

The Delete command gets rid of unwanted objects by erasing whatever is selected in your scene.

Cut, Copy and Paste behave like normal, but they only work for objects within Swift 3D, not items from the clipboard that were created in other programs.

Delete Object Animations will delete any animation applied to the 3D objects in your scene, while leaving untouched any lighting or camera animations.

Delete All Animations wipes your animation slate completely clean.

Camera Pan Mode is the menu version of using the Camera Pan button. It lets you move the camera when the background is not available for you to click on.

Scaling Mode is a backup of the Scaling button, giving you the option of resizing an object.

Animate Mode is where you need to be to create animations in Swift 3D. The easiest way to get into this mode is to toggle the Animate button on in the Main Toolbar.

The Primitives list allows you to insert any of the Primitives found on the Main Toolbar.

The Lights list allows you to insert the Scene Lights from the Main Toolbar.

The Cameras list allows you to insert either of the two cameras from the Main Toolbar. You can also reset the position of any of your standard cameras.

The Reset options will return your objects to their original state within each of the categories listed.

The Lock Object option serves as a backup to the Lock Object button.

Select All will select every object in your scene.


View Menu

Changing the look of the interface isn't something you really need to do unless you are looking for some additional space to enlarge your Viewport. This becomes important when working on a small screen or with low resolution.

The Status Bar is the thin row of information that runs along the bottom of the Swift 3D screen. It's useful when you're exploring the interface and when it comes time to export your image since it displays the progress of the rendering process.

Property Tools displays or hides the Properties Toolbar.

Trackball Tools displays or hides the Rotation Toolbar.

Gallery Tools displays or hides the Materials and Animations Toolbars.

Lighting Tools displays or hides the Lighting Toolbar and associated buttons.

Edit Tools shows or hides the Main Toolbar across the top of the screen.

The Animation Timeline is a window that's necessary if you are doing any animation editing, but if you are making a still scene, ditch the sucker because you won't need it.

Show Secondary Camera is redundant to the button of the same name on the Edit Toolbar.

Zoom Viewport allows you to change the size of your Viewport. You are not actually changing its dimensions like you would in the Layout Properties, rather, just its size relative to the interface.


Animation Menu

Stop Playing Animation and Play Animation turn the animation off and on.

First Frame and Last Frame reset or advance the animation to the beginning or the end.

Previous Frame and Next Frame allow you to move your animation back or forward by a single frame.

Loop toggles the Loop function on and off, determining how your animation gets exported.


Setup Menu

Animations opens the Animation Editor, which is responsible for saving new drag-and-drop animations and organizing the Animation Palette.

Materials opens the Material Editor, which allows you to edit existing materials and create new materials from scratch.


Arrange Menu

The Group and Ungroup commands allow you to control associations between objects.

The Combine and Break Apart commands have to do with extruded objects and how they are related with each other.


Window Menu

This menu controls what document is currently displayed on your screen and tells you what other documents are currently open. You can switch from document to document by selecting whichever one you wish or you can use the Next command to move on to the next document in your list.


Help Menu

Online Help will launch an HTML Help System. The advantage to using the Online Help is that it is fully searchable and always accessible, and it may contain additional information on features that were implemented after the User Guide went to print.

Swift 3D User Guide (PDF) will launch Adobe Acrobat and open up a PDF version of the User Guide. This is mostly there for folks who downloaded Swift 3D and would like to print out the User Guide.

About Swift 3D will give you a listing of relevant information like who the software is licensed to, the product ID number, what version you own and what build number you're working with. Some of this information is very pertinent to getting prompt and accurate email tech support since we need to know exactly what version of the software you have to answer certain questions.

Register Swift 3D Online is how you get your copy of this program registered. We have not included a registration card in the box so the only way you can register Swift 3D is electronically. Hopefully you have already registered your copy with us during the installation.

Electric Rain Web Site opens your Web browser and brings you directly to our main site where you can find out more about our company and our other products.

Swift 3D Technical Support Site will launch your default browser and take you to the support portion of our Web site where you can gain the quickest access to answers for most technical support issues.

Swift 3D Tutorials Site will launch your default browser and bring you to our online tutorials area. If you have the CD version of Swift 3D, most of the available tutorials are included in the installation and Swift 3D will link you directly to those tutorials. As needs arise, however, we will be creating new tutorials so you should check in once and awhile.

Swift 3D Customer Only Site will give you information on any product updates and access to the most recent build of Swift 3D. You must be a registered user to access this Web site.


Working With Objects Overview

Overview

Have you ever had the following experience?

You launch a brand new application you've never used before. It's supposed to be the best tool for doing whatever it is you need to do, so your confidence is running high. This is going to be fun. After opening a new file, you start clicking around the interface. You manage to insert a few objects, but they're not where you want them. You try and move them and they won't budge. You try and edit them and they just sit there. The clicking gets heated. The menus are of no help. Finally you close the application in a fit of rage.

Two days later you're still under the gun to finish the project and this new application is your only path to completion. So you pick up the User Guide and start to read. After a few pages you find the words, “Aaaahhhh, that's how you do it,” muttered from your mouth. You read a little further and it becomes, “Well that makes sense. Cool.” After 30 minutes of information gathering you re-open the cursed application and suddenly it's smooth sailing.

Unfortunately, the scenario is all-too-common. We're all 'Button Pushers' at heart with primal instincts that tell us “I can figure this out on my own.” But learning the finer points of object control can save you from those frustrating moments where the software fights you tooth and nail. By reading through the following chapter you'll at least understand the techniques that are common to all types of objects within Swift 3D.

Once you have that knowledge in hand, you can tackle the intricacies of each specific object as they come. That detailed information can be found in later chapters that go into depth on each object's properties and how to control them. But for now we'll cover the manipulation of objects and their universal properties.


Selecting Objects

Selecting an object would seem to be a pretty straightforward process, and for the most part it is. You click on an object and it's selected. You'll know it when the object’s rectangular bounding box appears. It will also appear in the Rotation Trackball, as well as have its name appear in the upper left hand corner of the Animation Timeline.

To select more than one object, you can hold down the SHIFT key while selecting and each new object you click on will be added to the list of objects already selected. As soon as you release the SHIFT key and click on another object, you will de-select any selected objects. If you simply want to select all the objects in your scene at once you can use the Edit > Select All command or the CTRL + A (WIN) or Apple + A (MAC) shortcuts.

If your objects are grouped together and you do not wish to ungroup them to select one of the objects of the group, you can hold down the CTRL key (WIN) or the Option key (MAC) as you click on the object. This will select that individual object and allow you to control its properties without affecting any other objects in the group. A big advantage to this is that if you ungroup an animated group of objects, that animation will be erased. This process avoids that problem.


Naming Objects

As your scene grows in complexity, being able to slap a label on an object can be quite useful. Because both the Properties Toolbar and the Animation Toolbar are selection sensitive, having the specific name of an object appear in the timeline helps insure that any changes being made are to the proper object. Please keep in mind that naming is not required since a default name will be given to any new objects placed into the scene. It's when you have three of one type of object and a half-dozen of another that object naming really shows its true colors.

Object Properties:

To name an object:

1. Select the object.

2. Select Object from the Properties Toolbar list.

3. Type a name in the Name field.

4. Hit ENTER.

You will now see the name of that particular object appear in the upper left corner of the timeline whenever it's selected.


Click-and-Drag

This is the most basic of object positioning procedures and it will probably be the one you use most. It's simply a matter of clicking-and-dragging on an object and releasing the mouse button when it arrives at its intended destination.

It's important to note that when you use this process, you are only moving the object along two axes at once. To give you an example of what I mean, let's say that you are manipulating your objects through the Front camera view, which is shown in the left Viewport by default. Because the Front camera looks directly down the Z-axis, your object movements are automatically constrained to the X and Y axis, just like when you move objects in a 2D drawing application.

When you want to move objects closer or farther away from the camera (in the case of the Front camera, along the Z-axis) you use a Right click-and-drag (WIN) or a CTRL + click-and-drag (MAC) to accomplish the task.

Nick's Tips

The methodology of the click-and-drag object positioning lends itself nicely to using different Camera views to move objects along certain planes. If I want to create four objects in my scene and need them all to stay on the exact same horizontal axis, where their Y coordinates always equal zero, I would do all of my object movement from the Top or Bottom views, thereby only adjusting their X and Z coordinates. I would then use my Front view as my final rendering Viewport.


Constrain Axis

There are also times when you want to be able to constrain an object's movements to an individual axis rather than an entire plane, as is the case with the process of using different camera views to constrain object movement. In this case we have a solution for you as well. No matter what camera view you're in, if you would like to constrain your object movements to the horizontal or vertical axis you simply hold down the SHIFT key while clicking-and-dragging your object. Swift 3D will take the first movement of your mouse as your intended direction and then continue to limit that object’s movement to that direction. As soon as you release the SHIFT key you will be able to move that object in any direction.

Nudge Keys

Swift 3D also supports the use of nudge keys. You can click on any of the keyboard arrow keys and the selected object will move the designated increment in the viewport. You can control the Keyboard Nudge Increment in the Layout page of the Properties Toolbar. You should beware that if you have selected an object and then interacted with the Properties Toolbar before attempting a nudge, you will end up scrolling through the Properties pages instead of nudging the object. To avoid this you just need to click on the object again and you'll be nudging like a big dog.


Numerical Positioning

But the ultimate control comes with the ability to designate your object's position through the numerical coordinate system. Each object has a center point. The position of that center point, and thus the object itself, can be controlled within the Position Page of the Property Toolbar. Here you can set the X, Y and Z coordinates of the selected object as you please. The numbers are all based on the coordinate grid that you see in the Viewport, with each gridline representing one unit of measurement. Through this method, object positioning becomes more a lesson in math calculations and less a process of trial and error.

If you have the need to align certain parts of your objects, like if you needed the base of all your objects to be aligned along a certain axis or plane, you need to adjust your object's pivot points and then align those pivot points. For more information on this process, please see the section on Pivot Points.

Position Properties:


Reset Position Button

This button, found on the Rotation Toolbar, will reposition your object to its original location when it was first created or imported.

Reset Position Button

With the exception of objects created within the Extrusion Editor, this will place the selected object's center point on the intersection of the X, Y and Z axis.


Rotating Objects

We briefly mentioned the use of the Rotation Trackball in the Quick Tour, but now I'd like to investigate its functionality more deeply. Once you've selected an object it will appear within the Rotation Trackball with the same rotational orientation as it has in the Viewport. As soon as you click-and-drag on the surface of the Trackball, the object in the Viewport will rotate in the same direction as you're dragging your cursor.

The basic use of the trackball is fairly intuitive, but being able to refine its movements is critical to laying out your scene just as you want it. This refinement comes through the use of the Lock Axis buttons along the left side of the Rotation Trackball.

Lock Horizontal will only allow the trackball, and thus your selected object, to rotate along its horizontal axis.

Lock Vertical will only allow the trackball to rotate along its vertical axis.

Lock Spin will only allow the trackball to rotate clockwise or counterclockwise.

You can also use the shortcut keys to expedite the process, which is very convenient when you are rotating your objects along more than one axis. While rotating your objects, holding down:

SHIFT will lock the trackball on its vertical axis.

CTRL will lock the trackball on its horizontal axis.

CTRL + SHIFT will lock the trackball's clockwise or counterclockwise rotation.

These locking buttons and shortcut keys give you a nice amount of control over what direction you want your objects to rotate, but you can take it a step further with the use of the Rotation Increment setting. This allows you to keep your object rotations within known values, which takes the guesswork out of the rotation process.

Rotation Toolbar:

Reset Rotation Button

This little nifty gadget will undo any rotation that has been applied to an object, no matter when that rotation was done. It works with any object that is currently selected.

Reset Rotation Button

Nick's Tips

If I know exactly how much I want to rotate my object, I'll choose an appropriate Rotation Increment value before I start the rotation. For example, if I have a cylinder that needs to end up on its side, I'll set the Rotation Increment to 90 degrees before I move it. On the other hand, if I'm just sort of rotating until I like the position, I'll set the Rotation Increment to 5 or 10 degrees before moving it. This way when I need to animate the rotation of my object, it's much easier to keep tabs on its exact angle of rotation.


Grouping Objects

Much like a 2D drawing program, Swift 3D allows you to group objects together so they can be manipulated and animated as a single unit. To group two or more objects, select the objects you would like grouped and then choose Arrange > Group from the main menu. Through this same process you can create groups from previously grouped objects, thereby creating a grouping hierarchy.

You should beware that when you animate a grouped object, and then ungroup the objects, your original animation will be lost. If you need to make an adjustment to a grouped object, you can hold down the CTRL button (WIN) or the OPTION button (MAC) while selecting the individual object.


Locking Objects

The Lock Position function is primarily designed to circumvent any errant repositioning mishaps. If you feel like you've found the ultimate resting place for an object, or just want to temporarily render it immobile while you tweak the rest of your scene, this is how you do it. When you select an object or group of objects and check the Locked option on the Object Page of the Properties Toolbar, you will not be able to change the position of that object unless you unlock it. Everything else about that object is still editable while its position is locked.

If you happen to lock an object and then group it together with one or more objects through the Arrange > Group command, the entire group will then be locked and will stay that way until that object is unlocked. It is also possible to select an object out of a group of objects and lock it, thus rendering the entire group locked.

Object Properties:


Pivot Points

In the days of old, when Swift 3D V1 was our staple diet, we lead a life of simple rotation. If you wanted to spin an object, there was but one unchanging point of rotation for each object. Well, we have added a whole new world of object manipulation and animation through the inclusion of object pivot points. Now, when you insert an object into Swift 3D V2, it will have a corresponding pivot point that can be fully adjusted.

When you have pivot points turned on in the Layout Page of the Properties Toolbar (this is the default configuration), whenever you select an object you will see a small red, green and blue crosshair located directly at the center of the object. This is a visual representation of that object's pivot point. When you rotate the object, this location will be the point around which your object will spin.

To adjust the pivot point's location you need to first go to the Position Page in the Properties Toolbar. The four buttons along the bottom of the Properties Page allow you to designate your relocation strategy.

Move Pivot Only will let you move the pivot point without having the object move, but when you move the object, the pivot point moves with the object. This setting works well for adjusting the pivot point of an object after it has just been created, or when the object has already been positioned.

Move Object Only will let you move the object without having the pivot point move, but when you move the pivot point, the object will move with the pivot point. This setting is good when you have established a specific location in 3D space for your pivot point and then need to position your objects accordingly.

Move Together will only let you move the object and pivot point together, so you cannot adjust their locations relative to each other. With this option selected (default) you won't be able to adjust the object's pivot point, but once you adjust the location of the pivot point using one of the other settings, this will lock it in place.

Move Independently will allow you to move either the object or the pivot point separately. Although this setting gives you the most freedom in positioning, you probably will not want it enabled once you have your pivot point’s location established where you want it because it's too easy to change their position by accident.

NOTE: When you are working with Targeted Lights and Targeted Cameras, they are always locked into the Move Independently mode due to their targeted nature.

Position Properties:

Reset Pivot Location

This button located to the right of the Rotation Trackball will re-center your object's pivot location no matter what you have done with it. It's a nice way to get back to your original starting point. No matter which of the pivot positioning options you have selected, the object will stay put and the pivot point will reposition itself to the object's center.

Reset Pivot Location Button

Nick's Tips

Although Swift 3D tries to keep your brain free and clear of any mathematical calculations, in order to align your pivot points exactly on an edge or vertex of your primitive objects, you must delve into the cold world of basic math. When you first place your primitive objects into the scene they arrive with the default size of one unit and they are positioned with their pivot point located in the center of the object and located at 0, 0, 0 on the coordinate grid. So before moving your object you can add 0.5 units to any, or all, of the X, Y or Z pivot locations to reposition the pivot point exactly on an edge or vertex of your primitive. The exact process varies depending on the primitive, but if you test it out with a cube you'll get the basic idea pretty quickly.


Scaling Objects

This is where I lose all of the Control Freaks in the audience. Scaling is an obvious feature that everyone is accustomed to. Unfortunately in the 3D world there is a difference between sizing and scaling. If you're the type of person who always has to know exactly how big your objects are, you're better off skipping the scale function and sticking to adjusting your object's size numerically via the sizing controls. But if you are willing to let the numerical control slip slightly, scaling is a quick and easy way to change the relative size of your objects.

One key thing to consider about scaling is that you can animate the property, and now with the ability to scale objects non-uniformly, you can create some great animations. This is something that cannot be done through the sizing controls since the sizing property cannot be animated.

Scaling Mode Button

The quickest method of scaling an object or group of objects is by slipping into scaling mode. This is a one shot deal where you select the button, scale your object up or down, and Swift 3D automatically kicks you out of scaling mode. This was done to prevent any inadvertent scaling when you forget to turn off Scaling Mode.

Scaling Mode Button

To scale an object using Scaling Mode:

1. Click the Scaling Mode button on the Main Toolbar.

2. Click-and-drag on the object you would like to scale. The farther you are away from the center point when you click on the object, the better control you will have over the scaling process.

3. Moving your mouse towards the center of the object will decrease its scale while moving it away from the center will increase its scale.

4. Release the mouse button when you are happy with the scale of your object.

5. You'll notice that this process does not change the object's numerical size, which is why the control freaks ought to leave this one alone.

Numerical Scaling

This process accomplishes the same effect as the Scaling Mode button, but allows for scaling adjustments of the width, height and depth independently.

Scaling Properties

To Scale an object using numerical scaling:

1. Select the object you want to scale.

2. Select the Scaling Page in the Property Toolbar.

3. Adjust the values of the width, height and depth scale factors as needed.


Primitives Overview

Overview

Primitives are a lazy designer's best friends. There is no quicker way to get 3D elements into your scene than clicking one of the Swift 3D primitive buttons. It's what geometry class should have been like in high school. No proofs, no equations, no pi. Just cool looking shapes at your command.

Swift 3D V2 is proud to debut a slew of new shapes to the interface. In addition, you can now control many more properties of each primitive than ever before. What this means is that for every primitive button you see across the top of the Swift 3D interface, there are endless variations of each shape. It's just a matter of clicking and tweaking.

It's important to also realize that these 3D primitives can be joined together in infinite ways to create more complex shapes that are only limited by your imagination. If you think of these primitive objects as basic building blocks, you're going to see well beyond their basic 3D shape into a world you probably learned about with your first set of Legos.

As you peruse the delectable selection of primitives, please note that there are properties specific to each object and properties that are universal across all objects. Those specific properties are mentioned along with the primitive information in this chapter. The common properties are discussed in the Working With Objects chapter.

How to insert a Primitive:

1. Click on the desired Primitive button.

2. Wipe the sweat from your brow and grab some Gatorade.


Sphere

It's round, it has a radius, and now you can change its shape. The object itself is as simple as it gets, but once you've inserted the sphere into your scene you can control much more than just the radius. Within the Properties Toolbar are settings that will take your basic sphere and squeeze it, stretch it, and adjust its appearance altogether.

Sphere:

Radius

This one is a no-brainer. You adjust the radius setting and the thing gets bigger or smaller. You can accomplish the same effect using the Scaling Mode button, but you'll find that when you use the scaling technique it will not have an effect on the numerical radius setting. This is due to the difference between object scaling and object sizing which is covered in the Scaling section of the Working With Objects chapter.

Segmentation

So now we're going to cross the line from Geometry to Geography. The best way to understand the sphere's segmentation control is to imagine a globe, complete with all of its lines of longitude and latitude. And for those of you who were snoozing during Geography class, we'll have a little review. Lines of latitude are the ones that circle the globe (or sphere) horizontally and the lines of longitude circle the globe vertically. The way I remember the two is that lines of latitude get smaller as you approach the Earth's poles, but the lines of longitude stay consistently ‘long.’ If that doesn't work for you then just start changing the numbers and you'll figure it out pretty darn quickly.

Now that you are hip to the way a sphere is constructed geometrically, you should understand how and why the sphere changes in shape as you decrease the number of segments that each line is made up of.


Cube/Box

Box (Cube)

If you are a Swift 3D V1 upgrader, you hopefully see the inherent beauty of this simple six-sided object because it was so blatantly non-existent from the V1 interface. I'd love to spin you the yarn of the sleep-deprived moments leading up to the Gold Master release build of Swift 3D V1, but it's a story only a documentation writer could truly enjoy. Suffice to say, I lost an argument with our chief engineer, the cube button fell by the wayside, and we heard about it for a year-and-a-half. Well folks, the wait is over and you have my deepest apologies for the total absence of a cube button. I'm amazed you're still with us.

But if you are a brand new owner of V2, let's just assume that this crucial primitive has been here all along.

Box/Cube:

Sizing

These parameters are very straight forward, so I shan't take this explanation a step further.

Segmentation

As is the case with a few other primitives, these segmentation settings allow for control over how the Box, or whatever rectangular shape you turn it into, gets defined on a polygon basis. The default setting for the Box is one segment for width, height and depth. This means that the Box is defined by 12 polygons - 2 per face. As you increase these settings, you will notice no difference in the macro-geometry (ok, I admit to making up that term), but you will see some slight changes in how the light interacts with the surfaces. But the real reason you'd be messing with these settings comes when it's time to render the shape. When you choose from any of the per-polygon rendering styles (Outline Mesh, Full Color and Mesh Gradient) you will generate different output looks and varying file sizes based on the number of polygons used to create that object.


Pyramid

As you effortlessly click the Pyramid primitive button, just ponder how long it took for the ancient Egyptians to accomplish the same task as Swift 3D just did in milliseconds. And you didn't even have to flog anyone in the process.

Pyramid:

Sizing

This is the only property you get to mess with on this primitive, so go ahead and have at it. It's pretty tough to get into trouble with the pyramid.

Nick's Tips

Four triangular sides and a bottom are all you get with the pyramid primitive. If you're looking for a pyramid with more sides you can use the Lathe Editor to create a cone and then uncheck its Smoothing property and adjust the number of Radial Segments to equal the number of sides you're looking for. You can also create a 3-sided pyramid (Tetrahedron) even quicker by inserting a Polyhedron since the default settings yield a Tetrahedron.


Cone

The cone is really just a relative of the cylinder, but we decided since it was part of the close-knit family of V1 primitives we couldn't excommunicate it from the interface just because it was redundant. We learned our lesson from the V1 cube incident.

Cone:

Sizing

The top and bottom radius settings allow you to turn your cone into something that I really don't have a definition for. It's sort of like the various forms of progeny that would be generated if a Cone mated with a Cylinder, not that we condone that type of behavior with our primitives. In fact, there's a strict fraternization policy implemented within Swift 3D, but these controls allow you to circumvent our mandated rules.

You'll also notice that massaging these controls can easily create a cylinder, but I assure you that we also have a strict rule regarding the cloning of primitives (and massaging for that matter).

Segmentation

Although the two cone segmentation settings work as you'd expect, they will most likely be used for different purposes.

Axial

I guarantee that when you start to adjust the axial segmentation of the cone you're going to mutter, “Now there's a useless feature,” but I feel obliged to tell you otherwise. Although you will not be noticing any shape change in the object, when it comes time to render the object, you may be more interested in this control. As you change this setting, you are increasing and decreasing the number of polygons that make up that object. When you choose from any of the per-polygon rendering styles (Outline Mesh, Full Color and Mesh Gradient) you will generate different output looks and varying file sizes based on the number of polygons used to create that object.

Radial

Although you can use the radial segmentation to control your polygon count just like the axial control, your use for this control is most likely going to be adjusting the actual geometric shape of the cone. By bumping this setting lower and lower, you can create a cone that becomes more faceted (made up of more surfaces), which can be very beneficial when it comes to rendering your scene with certain output styles.

Closed

By choosing to close the Cone, you are telling Swift 3D to place a cap on the bottom of it. If you uncheck this option, you will be able to see into the cone as if it were created with paper rather than clay. And if you increase the top radius above zero, you will be able to see right through the object from certain camera angles.


Cylinder

A variation of the Cone, the cylinder is your all-purpose tube. Great for building DNA chains, architectural columns, and even useful when you want to place something on a pedestal. Simply defined by a radius and length, they're not quite as powerful as cones, but certainly convenient when someone asks you to model a roll of toilet paper (hey, it could happen).

Cylinder:

Radius and Length

The radius setting controls how thick the cylinder will be and the length setting controls how long it will be. If you're looking to adjust both parameters proportionately you're probably better off doing so using the Scale Mode button.

Segmentation

Please see the corresponding section under the cone primitive description because any adjustments you may want to make here will affect your cylinder's geometry and rendering appearance exactly as they would a cone.


Torus

Torus. Ring. Doughnut. Whatever you want to name this thing, you know what I'm talking about, even though my spell checker does not.

Torus:

Radius

The minor radius is the distance from the center of the shape to the inside surface of the torus. If you increase this setting without changing the Major Radius you will make your Torus more slender.

The major radius is the distance from the center of the shape to the outside surface of the shape. If you increase this setting without changing the Minor Radius you will make your Torus fatter.

Segmentation

The Segmentation minor radius controls the number of times the circular lines that define the tubular nature of the torus are segmented. If you decrease this number, the shape will become more angular in its cross section.

The Segmentation major radius controls the number of times the circular lines that define the roundness of the torus are segmented. If you decrease this number, the shape will become more angular in its circumference.


Plane

We threw this ultra-primitive primitive into Swift 3D V2 for one sole purpose - Shadows. You may very well find other uses for this object, and for that I commend you. But the bottom line is that planes work great for creating a surface to cast a shadow onto. Throw one of these bad-boys under your animation, check that Shadow option before rendering and you've got some big-time eye candy.

Plane:

Sizing and Segmentation

Please see the corresponding sections under the Box primitive description because any adjustments you may want to make here will affect your plane's geometry and rendering appearance exactly as would the surfaces of a cube.


Polyhedron Overview

Polyhedron

When primitives are born and start learning their way around the world of 3D objects, they soon come to the realization that they wished they were a Polyhedron. To be a Polyhedron is to be anything and everything, while still maintaining its coy demeanor within the Swift 3D interface. Who would have thought one button could be so powerful. The only thing other primitives don't lust after is having the name polyhedron.

If you break down the word to its integral parts, you'll quickly realize that the confusing nomenclature is just a smoke screen for ‘many sided object.’ With this in mind, you can now click on that button and know exactly what you're getting into - a thing with a bunch of sides.

But if you leave it at that you miss out on all the fun. With just a little bit of extra information you'll find yourself spitting out 22 letter words that will impress your friends. Or they might just get all glassy-eyed and start considering a quest for new friends.

Loosely defined, a polyhedron is an arrangement of flat surfaces (polygons) such that two and only two surfaces meet at any given edge, making it possible to traverse the surface of the polyhedron by crossing its edges and moving from one surface to another until all surfaces have been traversed by this continuous path. Whew.

What that really means is that Polyhedra (plural of polyhedron) come in many shapes and sizes. These geometrical variations can be broken up into polyhedron families, which I will describe as soon as I can borrow that Geometry textbook from the engineers again.

But the true power of this primitive comes post-insert. The versatility of the polyhedron lies within the confines of the Properties Toolbar. With a little bit of tweaking, you'll be whipping out Rhombicosidodecahedrons in less time than it takes to say Truncated Cuboctahedron. So if you're currently within the Swift 3D interface, go ahead and click that bad boy and we'll head right over to the Properties Toolbar and see what sort of fun we can have.


Polyhedron Families

First, let's discuss the five basic shapes that make up the starting points for all the aforementioned variations of the polyhedron. The Tetrahedron, Cube, Octahedron, Dodecahedron, and Icosahedron (the fabulous five) all share a couple of similar properties. Their faces are all made up of the same geometric shapes and all of their vertices are identical. This group of objects is known as the Platonic Solids and you'll recognize their names in the Properties Toolbar once you place a Polyhedron into the scene.

Polyhedron Properties:


Tetrahedron

The fundamental shape of a Tetrahedron, the most basic form of polyhedron, is a solid object made up of four equilateral triangles. It's like a pyramid, but with one less side. The default geometry for the Tetrahedron family is a tetrahedron (go figure) but you can create many different shapes with some fiddling of the controls we'll talk about shortly.

Tetrahedron:


Cube/Octahedron

These two shapes have a distinct relationship and it goes beyond the fact that their number of sides is divisible by four. The Cube is the default geometry that appears when you insert the Polyhedron and select this family. To get to the Octahedron shape, you need to do some adjustments within the P and Q settings, but that's a whole different world so for now you can just take my word for it.

Octahedron:


Dodecahedron/Icosahedron

Again, we find two distinct shapes with a strong relationship to each other. The default geometry that appears when you insert a Polyhedron and select this family is the Dodecahedron, a 10-sided object consisting of faces that are all pentagons. With some modest adjustments you can quickly turn this shape into an Icosahedron, which is a 20-sided object made up of all triangles.

Icosahedron:


Star 1

Now we begin the crazy journey into the realm of Stellated Polyhedra, which are variations on two of the platonic solids but with star-like characteristics. The default geometry of Star 1 is an Icosahedron that has had each of its faces pulled out from the center of the object. In other words, if you were to create a vertex in the center of each triangular face of an Icosahedron and drag it away from the center of the object, Star 1 is what you'd end up with. If you need a term you can remember, try 20-pointed star, because that's the default construction of a Star 1.

Star 1:


Star 2

Star 2 works under the same principles of Star 1, but its default geometry is based on a Dodecahedron where each face that the vertex gets pulled from is a pentagon rather than a triangle. In this case you end up with a 10-pointed star.

By the way, don't go asking any Geometry professors for the definition of a Star 1 or Star 2. As best I can tell, the names were invented by a frustrated U.I. designer who was having a difficult time fitting the word ‘Great Stellated Dodecahedron’ into a dialog box.

Star 2:


Family Parameters

I really had no idea what we were getting into when the Polyhedron primitive was slated for construction within Swift 3D V2. Little did I know that one button on our interface could lead to such a communication quandary. It took me two days of research just to determine that the Family Parameters of a polyhedron (also known as Ps and Qs) were virtually indescribable. But that's not going to stop me from trying.


P and Q

The P parameter is directly related to the number of faces the object has, and the Q parameter is directly related to the number of vertices that exist on the object. By adjusting either of these two settings, you can generate an unbelievable amount of variations of the Platonic Solids.

Unfortunately, the P and Q settings are only directly related to the faces and sides of the object, but not exactly representative of those numbers. What this means is that instead of setting those parameters exactly as you see fit, your best bet is to start playing around and see the results. In most cases, the three settings you can actually predict how the results are going to look like are the two extremes and the midpoint.

There are some basic things that you want to pay attention to as you start warping out your default objects.

The range of each setting is between 0 and 1.

The two values added together cannot exceed 1.

The two extremes occur when either setting is set to 1 and the other is at 0.

The midpoint occurs when both settings are set to 0.

Let's say you insert your Polyhedron (which will give you the Tetra) with a default setting of P=0 and Q=1. This is a 100% pure Tetrahedron. As soon as you start adjusting either the P or the Q parameter, you no longer have a tetrahedron, but rather a variation of the tetrahedron shape. Now the interesting thing about this particular shape is that when you go to the other extreme, where P=1 and Q=0, you also end up with an exact tetrahedron. This is the only family where this occurs and it's also the reason why there is only one name under this family category.

Moving on to the Cube/Octa, we start out with the same default setting of P=0 and Q=1 and you have a perfect cube. Now when you choose the other extreme you will end up with the Octahedron, which is the main reason these two objects are lumped together in a family.

Finally, the Dodec/Icos arrives into the scene with the standard P and Q settings and when you crank the P setting to equal 1, you change your perfect Dodecahedron to a perfect Icosahedron.


Scale Axis

And now the really dense fog rolls in. The Scale Axis is still based on Ps and Qs with the addition of some Rs for confusion sake. These settings allow you to push and pull faces of your polyhedron in a similar fashion to what the Star 1 and Star 2 do. In fact, if you start from the Dodec/Icos family you can quickly achieve the Stellated Polyhedron default geometry. But once you start cranking these settings in conjunction with variations of the P and Q Family Parameter you'll quickly realize that there is no end to the crazy shapes the Polyhedron can generate.

One important thing about the Scale Axis settings is that P, Q and R each control a different type of surface. There can be three basic surfaces on a Polyhedron - triangles, squares and pentagons. If your shape has one or two types of surfaces, only one or two of the Scale Axis settings will have any effect on the faces of the shape. When the shape has all three types of faces, P, Q and R will all be active.

And now I'll hang my head in documentation shame and admit that I can guide you no more. Since there are very few consistent patterns in how the Scale Axis work, it's really just a matter of getting in there and having some fun with the shapes.


Radius

Now back to something we can all relate to. Adjust the radius of a Polyhedron and it will get bigger or smaller. And I didn't even have to research that one.


Text Overview

Overview

I'm not sure about you, but my first experience with 3D text was when I started going to see Hollywood movies in the theatres. When I saw a deeply extruded rendition of the Star Wars title with that extreme perspective that tapering quickly towards the vanishing point, text suddenly became much more than trying to achieve a perfect cursive letter ‘B’ in 3rd grade. They became art, more like sculptures than a bunch of letters thrown together, more of an outlet for creativity rather than a model for replication. And with the massive increase in font selection through the boom in personal computing, suddenly you could convey emotions and moods with just the mere visual representation of your words. Wow, I'm sorry to come across as a total word geek, but that was some cool stuff for me.

So here we are in the 21st century with Swift 3D, certainly not the first 3D font rendering software, but an exceptional solution for turning 3D text into vector-based animations. Within Swift 3D, any TrueType or PostScript font you have installed on your computer can be automatically turned into an extruded and beveled 3D object.


Inserting a Text Object

Once you click the Text button and the word “Text” appears in your scene, the fun begins. You can replace the text with your own by highlighting the word in the Properties Toolbar and typing whatever you like. Use the Font dropdown menu to choose the style of text you desire - using the preview function to guide your selection. You can adjust the alignment of your text with the Alignment buttons shown. The Character Map button gives you a display of all the weird characters that come with each font, but aren't shown on your keyboard.

Text Object:

Nick's Tips

Wingdings are sweet. That's right, Wingdings, Webdings, Dingbats - all cool in my book. Theyquickly extend the versatility of Swift 3D by giving you a ton of 2D objects that can be extruded in a heartbeat via the Text button. And after a quick Web search I found tons of picture-based fonts similar to Wingdings - all for free. Adding these types of fonts is sort of like building your own personal 2D library.


Bevels

Bevels refer to the transition between the front and back surfaces and the side surfaces of your text. When you are using 3D text, adding bevels will create another surface for light to reflect off of, thus creating a more interesting effect. Swift 3D allows you to apply five different types of bevel effects.

Bevel Properties of Text:


Styles

Square - A 90-degree angle, giving your text only three total surfaces - front, side and back (i.e. no bevel).

Beveled - A 45-degree angle, as if you ran a knife along the front corners of your text. This is the default style.

Outer Round - A smooth, convex, rounded transition between the front surface and side surface, as if you sanded the front corners down.

Inner Round - A smooth, concave, rounded transition, as if you gouged out the front corners of your text.

Step Down - As if you glued your text to the front of a larger version of your text.

NOTE: You are not actually removing material from the characters, as you would when working with wood, but rather you are adding thickness to the areas without the bevel in order to create them. This means that as you increase the depth of your text you will be increasing its size as well, which may change the overall character of your font.

File Size Alert

There are two things I feel obliged to mention at this juncture. First, don’t go typing in your company’s Mission Statement and expect to have a file that will stream at 28.8 kbs. Text, especially with a fancy font applied, has a lot of geometrical detail when it’s converted to a 3D object so it can get big, fast. Second, bevels are cool, but they also can boost your bandwidth consumption. I recommend sticking to the 45 degree bevel because the other ones tend to need a higher level fill option when rendering in order to be visible.


Depth

With the Depth control you are manipulating how quickly the text makes your desired transition from front and back surfaces to side surfaces. The higher the number, the longer the transition, ergo, the more depth you apply to your bevel, the thicker your text becomes. Get carried away and you've got some funky looking stuff, not that funky is a bad thing.


Face

By default, the bevels are applied to both the front corners and the back corners so you will see the same thing going on when you view the backside of your text. To control which faces are beveled, choose front, back or both under the Face options.


Smoothness

This slider controls how accurately curves are drawn on your text. If you adjust towards Fine, your curves will smooth out, but the amount of lines it takes to render the text increases, and so does your file size. Adjusting towards Coarse will make any curves appear more angular and reduce file size. The general rule of thumb is “leave it alone unless you have a good reason not to.”


Mesh Quality

This control is there to allow you some control over the geometry created when you extrude text and 2D artwork. The default polygonal construction of these objects typically lead to some very narrow polygons where there are curved edges. This can sometimes lead to some inconsistencies after rendering and importing into Flash. If you experience any of these problems, you should adjust this slider to a higher level of Mash Quality and try rendering again. Another side effect is that when you jack this setting up, you’ll have more detailed lighting effects when you are rendering with Mesh Gradient Shading.


Text Sizing

Sizing

You have five controls over the sizing of Text. Width and height are pretty straightforward. Depth allows you to control how deeply extruded your text objects are. Inter Character and Inter Line control the distance between each character and each line of text. There are three ways of adjusting the numbers for each of these characteristics: type in your desired number, nudge the number up or down by clicking the corresponding arrow on the spin button, or position the cursor between the arrows on the spin button and when you receive the double lines you can click and drag up or down. Any numerical changes will use the center of the text as a baseline. So if you increase the depth, the front of the text will move towards you (if it's facing the camera) and the back of the text will move away from you.

Sizing Properties of Text:


Editing Characters Individually

When your create a text object, it is considered one main object that consists of individual grouped characters, but the characters within the word are considered Children and can be somewhat manipulated independently.

To select an individual character out of a text object, hold down the CTRL key (WIN) or OPTION key (MAC) while clicking on the character. Once you have that character selected you can apply different properties to it within the Properties Toolbar. To apply different materials to individual characters, hold down the CTRL key (WIN) or OPTION key (MAC) while dragging-and-dropping your desired material. The same is true for applying drag-and-drop animations.


Extrusion Editor Overview

Overview

You know, I've been preaching to our users for a long time about how you don't really need a Pen tool in Swift 3D because virtually everyone has a solid 2D drawing tool in Flash and a significant portion of those people have access to the real beefy drawing tools like Adobe Illustrator, Macromedia Freehand or Corel Draw.

I'm here to tell you that I'm an idiot. Since the moment I picked up the Beta of V2 with the Extrusion Editor I realized how much could be said for an all-in-one solution. The Extrusion Editor now gives you the power of 2D drawing with the convenience of results just a single mouse click away. Gone are the days of creating artwork that turns out to be not what you thought it would look like in Swift 3D. Here are the days of pure, unadulterated extruding.

But don't expect Adobe Illustrator, or even Flash. Our goal with the Extrusion Editor was not to create a competitive drawing tool to those applications and the plethora of other software that specialize in 2D vector graphics. What we were shooting for was to provide the essential tools to quickly create 2D paths that are automatically turned into 3D extrusions.

And for those of you with zero 3D experience (it's quite OK to admit it, since I was in the same boat about 2 ½ years ago and now look at … well, never mind), let me throw a quick explanation of what an extrusion actually is. It's when you take a flat, 2D shape and extend its Z depth. As a most basic example, let's start with a single 8½" x 11" piece of paper. That's your original 2D shape. Now add 499 pieces of the same size paper to the stack and wrap it so it becomes a single unit. That's your extruded object. (Actually it's a ream of paper, but hey, I'm trying to prove a point here.) As you add or subtract pieces of paper to that stack, you are determining how thick your object becomes. That thickness is its Z depth.


How the Extrusion Editor Works

How It Works

The basic concept is that once you draw a shape within the Extrusion Editor interface, the extrusion appears immediately in the Scene Editor with a default depth of 0.050 units.

It's important to realize that the grid is mostly there for reference rather than for numerical sizing or positioning. The Extrusion Editor merely exists to create the original shape. Once the actual extrusion appears in the Scene Editor, you will be able to adjust all of the extrusion's properties like depth, bevels, materials, etc. through the Properties Toolbar.

You should also take notice of the differences between a Bezier Pen Tool from other applications and that of Swift 3D. As you begin drawing, you will need to select what type of point you want created via the three buttons on the top of the Extrusion Editor Interface - Angle Point, Curve Point and Tangent Point. But I'm getting slightly ahead of myself.

Extrusion Editor:


Pen Tool

It all starts by selecting the pen tool (selected by default when you enter the Extrusion Editor) and choosing a place on the grid to start drawing. By clicking the Pen Tool you are telling Swift 3D that you are ready to begin drawing.

Pen Tool Button


Selection Tool

This tool will allow you to select individual and groups of points to further manipulate your shape once it has been drawn. By clicking the Selection Tool you are telling Swift 3D that you are ready to start editing your drawing.

Selection Tool Button


Angle Point

When this button is depressed, every point you create will be an Angle Point with no information defining how the path enters or exits that point. If I create a series of Angle points, they will all be connected with perfectly straight lines.

Angle Point Button


Curve Point

The Curve Point has much more information associated with it than the Angle point. Curve points are defined by something called a Bezier curve whereby you have control over the shape of the line entering and exiting the point. Although you can control the entry and exit, the two halves of your curve are linked to each other so positional changes to one half of your point may have an effect on the other half of the Bezier curve. The typical application of Curve Points is to create two lines that join together at the point in a smooth fashion.

Curve Point Button


Tangent Point

These are very similar to the Curve point but they allow you to control each side of the curve's control points separately. The tangent point is designed to allow your line to enter and exit the point with completely different paths. The typical application of Tangent Points is to create two curved lines that join together in an angular fashion.

Tangent Point Button


Close Shape Button

This button is designed to be a time saver. Although not completely necessary, it's always a good practice to close your shapes when working within the Extrusion Editor. With that in mind, the Close Shape button offers a quick way to close your shape when you're ready to create that final line segment. Certainly you can do it manually by creating your final point directly on top of your very first point (a “+” sign will appear when you’re directly on top), but the Close Shape button will accomplish the exact same thing.

Close Shape Button


Magnifying Glass

Just imagine if Sherlock Holmes had licensed his classic investigatory tool to the software companies of the world. A simple royalty structure would have done wonders for him and Watson. Swift 3D's zoom tool works like this. Grab the tool, click to zoom in, right click (WIN) or CTRL + click (MAC) to zoom out. Wherever you click on the grid determines the area that gets magnified or unmagnified.

Magnifying Glass


Undo Button

This is a third option for you to correct mistakes. CTRL + Z and Edit > Undo both accomplish the same task, but if you're a button pusher you can take a crack at the Undo button.

Undo Button


Creating Shapes

To draw a straight-lined shape (triangle):

1. Select the Pen Tool button (on by default).

2. Select the Angle Point button (on by default).

3. Click once on the grid 5 lines above the X/Y intersection.

4. Click again on the grid 3 lines to the right of the X/Y intersection.

5. Click again on the grid 3 lines to the left of the X/Y intersection.

6. Move your cursor directly above the first point created and click when you see the ‘+’ symbol appear next to your Pen Tool (or click the Close Shape button).

7. Click the Scene Editor Tab to view the extrusion.

To draw a curved-line shape (oval):

1. Select the Pen Tool button.

2. Select the Curve Point button.

3. Click once on the grid 3 lines above the X/Y intersection.

4. Click again on the grid 4 lines to the right of the X/Y intersection.

5. Click again on the grid 3 lines below the X/Y intersection.

6. Click again on the grid 4 lines to the left of the X/Y intersection.

7. Move your cursor directly above the first point created and click when you see the ‘+’ symbol appear next to your Pen Tool.

8. Click the Selection Tool button.

9. Select your first point and then click-and-drag on the right Bezier handle to make your curve guide run parallel with the X axis. Try to keep the handle an equal distance away from the point as the left side handle.

10. Continue around the shape using the same process until you have an oval.

11. Click the Scene Editor Tab to view the extrusion.

To draw a multi-point-type shape (starburst):

1. Select the Pen Tool button.

2. Click the Angle Point button.

3. Click on the grid 4 lines above the X/Y intersection.

4. Select the Tangent Point button.

5. Click on the grid 2 lines to the right and 2 lines above the X/Y intersection.

6. Select the Angle Point button.

7. Click on the grid 4 lines to the right of the X/Y intersection.

8. Select the Tangent Point button.

9. Click on the grid 2 lines to the right and 2 lines below the X/Y intersection.

10. Continue the process to create the left side of your shape, making sure to close the shape at the end.

11. Select the Selection Tool.

12. Select the first Tangent Point you created and drag each of the two Bezier handles onto the X/Y intersection.

13. Continue that process for the remaining 3 Tangent Points.

14. Click the Scene Editor Tab to view the extrusion.

Nick's Tips

Due to the manner in which Swift 3D lays down Curve Points and Tangent Points, I highly recommend using the following strategy when creating anything but the most basic symmetrical shapes: sketch it out with the key control points, choosing your point type as you go. Don't pay attention to the overall shape of the object with your original run through, because you'll only get frustrated. Once you've laid down the basic shape with your points, then you can go back through and make all the necessary adjustments to your point locations and Bezier curves, adding and subtracting points as needed.


Extrusion Pivot Points

When you are creating your 2D artwork, you may want to keep in mind that the default pivot point given to your extruded object once it arrives in the Scene Editor is going to be wherever the X and Y intersection of the extrusion editor is in relation to your artwork. In other words, if you were to draw a star with one of its points sitting on the XY intersection (i.e. X = 0, Y = 0), that's where the star's pivot point will reside within the Scene Editor. You can later adjust that pivot point as you would a normal object, and once you do this the location of your drawing within the Extrusion Editor will no longer be related to its pivot point.


Editing Shapes

There are a variety of ways to edit your shapes after they have been created.

Selecting Points

To select an individual point, use the Selection Tool to click on the point. It will turn red when it's selected.

To select multiple points, hold down the CTRL key while selecting individual points. The most recent point selected will be red and the additional selected points will become black.

To perform either of these functions you can also click and drag a marquee box around single or multiple points.

Moving Points

To move individual or groups of points around within the Extrusion Editor simply click and drag them to a new location. Only selected points will move.

If you would like to constrain the axis along which your points move, holding down the SHIFT key before moving them will constrain their movement along the X-axis or Y-axis.

Deleting Points

To delete a point or multiple points, select them and hit the DELETE key. You can also use the Menu command of Edit > Delete.

Adding Points

To add additional points to a shape, select the Pen Tool, choose the point type you would like to add (Point, Curve Point or Tangent Point) and then click on the existing path where you want that point to be inserted.

Changing Points

To change the point type of individual or multiple points, select the points you'd like to convert, and then select the point type you'd like to convert them to.


Point Properties

This dialog is for the control freak in all of us. Need to know that your point is EXACTLY on the Y-axis? This is where you come for answers. To access the dialog you can right click (WIN) or CTRL + click (MAC) anywhere within the grid area, or you can select a point and choose View > Point Properties.

Point Properties Dialog:

Type

This section of the Point Properties allows you to alter the Point Type of all the points you have selected.

Position

The position control allows you total control over the positioning of your points on the X and Y coordinate grid. If you have multiple points selected, the Position control will show you the coordinates of the point that is colored in red.

Keyboard Nudge Increment

Within the Extrusion and Lathe Editors you can manipulate selected points and groups of points by using the arrow keys on your keyboard. Each time you click an arrow it will move the point(s) the number of increments designated within this Point Properties dialog. If you feel the need for a more or less refined nudge ability, this is the place to make those related changes.


Working with complex shapes

Although I threw out the “Do not compare to a 2D Drawing Program” caveat at the beginning of this chapter, there are a few extra things that you can do within the Extrusion Editor that rank up there in the ‘semi-cool feature’ category.

Excluding Shapes

You have the ability to punch holes in your extrusions through the simple process of exclusion. It's a simple process, really. If you have a shape within another shape, the shape within will end up becoming negative space within that larger shape.

A basic example would be if I draw a circle and then draw a smaller circle within the larger circle, I would create a ring. Sort of like a torus, but with hard edges. Obviously you can get much more creative than this, but the basic concept always remains the same.

It's important to note that as soon as the path of your interior shape breaks through the path of the surrounding shape you will no longer have an excluded area. Instead, the Extrusion Editor will fill the entire shape using the furthest outside path, in this case a combination of the outer shape and the section of the inner shape that protrudes from the outer shape.

Excluded Shapes:

2D Loops

You will probably come across this effect by accident as you play around with the Extrusion Editor. The way Swift 3D calculates what to fill and what not to fill has to do with complex calculations that I do not care to explain, let alone understand myself. My point is that if a path overlaps itself, you're going to get a strange geometric shape created in the Scene Editor that actually takes on more of a 2D Mobius strip type look, minus the 180 degree twist. Or maybe a bow made out of ribbon. Honestly, try it for yourself and you'll understand much better than my feeble descriptions. The only thing I can warn you about is that it's not going to look like you'd expect.


Combining and Breaking Apart

These functions need a touch of explaining to understand why they exist at all. My initial impression was, “Isn't that what the Group and Ungroup commands are all about?” When our chief engineer put his hand around my shoulder and led me into his office I knew that I was sadly mistaken. A half hour later I felt qualified to give this explanation.

When two extruded objects are grouped, there is nothing more than a loose association between them. They may be moved together, rotated together, even scaled together. But they can still have different materials applied to them and their shapes are in no way related to each other.

When objects are Combined, they are related to each other mathematically through their paths. In other words, even though two or more shapes that have been combined do not share any paths, they are technically one object. Conversely, when these shapes are broken apart again, they become separate entities completely.

So you're still thinking “And I'm interested in this information because….?” That's OK, here's the skinny:

When two or more extruded objects are combined, you can alter all of their Properties at once. For instance, if you have a multiple-shape extrusion and want to bevel all of the shapes at once, you would need to combine them before hand.

To apply different materials to multiple extruded objects, they must first be broken apart.

When you want to punch an object out of another extruded object, they need to be combined to accomplish this. If they are not, they will simply be overlapping objects.

When you draw two or more objects at once within the Extrusion Editor they will automatically be combined.

When you combine two or more objects that lie on different planes of rotation, they will all be realigned to coincide with the axis of the first object created.

When two or more extruded objects that have different Properties assigned to them are combined (for example different materials, bevels, depth, etc.), all of the objects will assume the properties of the first object created.

Nick's Tips

With all this combining and breaking apart, it's easy to get confused. So I'm going to outline a common scenario to help you get a grasp on its practical use. Let's say I'm rebuilding the Electric Rain logo in the Swift 3D extrusion editor. The three factors that I need to deal with are as follows: The right side section has two holes punched through it. The two sections have different materials applied to them. Both sides need to be extruded and beveled the same amount. Here's the process I'd use:

1. Create the two main sections with outlines in the Extrusion Editor.

2. Go to the Scene Editor and adjust the Bevel and Depth of the Combined Object.

3. Break the object apart.

4. Select the right side object and go back to the extrusion editor.

5. Insert the cutout sections on the right side section.

6. Go back to the Scene Editor and apply materials.

7. Select both objects and group them together so the logo can be animated as one unit.


Editing Imported AI and EPS Extrusions

Editing AI and EPS Extrusions

Yes, another advantage to having the Extrusion Editor onboard Swift 3D is that now you can edit your 2D vector artwork imported from AI and EPS files. You may have used a 2D drawing program to create the original artwork, but having the ability to touch something up post import is incredibly convenient.

After importing your 2D vector artwork (please read the chapter on Importing AI and EPS files for more information on this process) all you have to do to edit the artwork is select your imported image and then go to the Extrusion Editor. You will see all of the associated anchor points and Bezier control handles and they can all be manipulated just as you would a native extrusion.

If your imported files have multiple objects, you will find that they arrive in Swift 3D as a grouped object, so you must combine them if you'd like to modify all of the objects' Properties at once. If this is not a prerequisite, but instead you'd like to simply alter some of the paths you can just select the grouped object and then go to the Extrusion Editor. There you will find all of your objects ready to be edited.


Extrusion Properties

Adjusting Extrusion Properties

Bevels

These properties are identical to the beveling of a text object so please refer to the chapter on Text Objects and read the Bevel section.

Sizing

These controls function as you would expect, allowing you to control the width, height and depth of your extruded object. If you have an extrusion with multiple objects, they must be combined before you can change all of their sizing properties at once. Otherwise you can select each object individually and adjust its size.


Menus

Within the Extrusion Editor, the Menus are really superfluous to the functionality of the interface since all of their abilities are already addressed by the graphical components of the editor. But hey, I've got nothing against menus, so let's quickly explain what lies within.

View

Zoom allows you to physically choose what magnification you'd like to be viewing your extrusion paths at, ranging from 25% to 800%. This is a backup for the Magnifying Glass tool.

Point Properties will open the corresponding dialog where you can control the style, position and nudge preferences of each point of your path.

Edit

Undo works as it should. This is the menu equivalent of CTRL + Z (WIN) or APPLE + Z (MAC) and clicking the Undo button on the Extrusion Editor toolbar.

Delete gets rid of whatever is selected. This is redundant to hitting the Delete key.

Select All selects all of the points in your extrusion.

Window

Next will move you to the next open Swift 3D document.

Open Windows shows you what Swift 3D documents you currently have open. By selecting from this list you will activate that document and your current document will disappear but remain open.


Lathe Editor Overview

Overview

Did any of you take Shop class in high school? Well I didn't either, but I hear there's this tool called a lathe that spins a piece of wood like mad and then you use various fiber rending weapons to sculpt that dead spinning tree into a cool shape. In fact, my wife still has a lamp that she created with a lathe in 9th grade. It's god-awful ugly, but it was, in fact, created by a lathe. And now Swift 3D has an implement of creation that works on a similar basis, only in an additive manner rather than a subtractive. Oh yeah, no sawdust either.

The Lathe Editor is a powerful modeling tool that allows you to create objects that can break through the Z-axis limitations of 2D extrusions. And if you combine it with the Extrusion Editor, forget about it. You'll be assembling complex models in less time than it takes to even open a high-end 3D application.

Lathe Editor:


How the Lathe Editor Works

How It Works

The short version is this: You draw a path and go to the Scene Editor to see your lathed object. If you've used a Lathe tool in another program you'll quickly understand how Swift 3D's Lathe Editor behaves. But if you're a newcomer to the lathe concept, stay with me and we'll go into a little more detail.

The grid line that you'll need to pay the closest attention to is the dotted and dashed green vertical line that runs down the left side of the Lathe Editor interface. This line is the axis of rotation and is to be respected at all cost. The reason for its off-center positioning in the interface is because, in general, you only want to be drawing paths on one side of your Axis of Rotation. There are exceptions we'll discuss later, but for our purposes we should keep everything on the right side of the Axis of Rotation.

Drawing in the Lathe Editor involves the Bezier drawing tools identical to those in the Extrusion editor. Because all of your drawing and editing of paths is done the same in both editors, I urge you to see the section on the Extrusion Editor before starting in on the Lathe Editor.

When you begin drawing your path, it's important to think in terms of a profile rather than a full shape. What you are doing is creating the outside profile of your object and letting the Lathe Editor do the rest for you. Once you have defined the profile with your path, Swift 3D is going to spin that path completely around (360 degrees) the vertical Axis of Rotation. In the process, it will create a smooth surface defined by all of the points in 3D space that your original path touched as it was rotated around the axis.


Creating a Lathed Object

There is a classic example we can use to visually demonstrate what is so hard to verbally explain. Let's walk through the steps we would follow if our final goal were to model a wine glass.

1. Draw the shape below using the Bezier pen tool.

2. Notice that my first and last points start on the Axis of Rotation.

3. Go to the Scene Editor to view the finished product (below).

This should get across what I mean by drawing a profile and letting the Lathe editor do the rest. It's important to note what happens when you draw shapes that do not start or end on the Axis of Rotation line. You will end up with a solid shape that has a vertical hole through it. The further away from the Axis of Rotation, the larger your hole gets.


Crossing the Axis of Rotation

Despite my warnings, no bodily harm will come to you by crossing that Axis of Rotation with your path. It's more a matter of keeping things simple. Since the process of lathing involves a 360-degree rotation, any part of the path that extends to the left of the sacred green line will end up being lathed just as if it were on the right side. In that sense you can sort of think of the axis line as a mirror and crossing the line will yield the same result as stopping your path on the axis and reflecting that angle back onto the same side.

It's quite easy to get a little crazy with this tool and start experimenting. In fact, I highly recommend it. There is definitely some spatial imagination that comes into play, and you can create very complex shapes and even build 3D shapes within 3D shapes. However, you will quickly notice that all of your shapes have a distinct ‘lathed’ look about them. Because of this we have added a few features that really give you potential for more object diversity.


Lathe Properties

Sweep Angle

Once you have the concept of rotation within your grasp, it's time to start messing with the Sweep Angle settings. In essence, this feature allows you to adjust how far the Lathe Editor rotates your path. But it opens a whole new world of possibilities and allows you to break free from that smooth, 360-degree pattern that standard lathed objects exude.

Nick's Tips

The ability to adjust the sweep angle of a lathed object should not go unnoticed. This functionality brings a whole new modeling component to Swift 3D by offering the capability of creating smooth, but asymmetric objects. If you throw this into the modeling paradigm Swift 3D uses where you assemble complex objects from smaller, and more basic objects, the Sweep Angle provides yet another arrow of creation to throw into your modeling quiver.

Segmentation

This feature brings a really nice effect to the 3D modeling table. One limitation of a standard lathed object is that there is no way to avoid creating smooth surfaces. Certainly you can create edges on your object, but only along the vertical axis. The horizontal axis will be completely smooth until you start adjusting how many line segments your lathed object consists of.

The setting that will modify your lathed object is the Radial Segmentation. By decreasing this number you are in effect dividing up that 360-degree spin into larger and larger chunks. To view the effects, you are better off unchecking the smoothing option before you make the adjustments.

The maximum you can set the Radial Segmentation to is 64 and the minimum is 3, since 2 segments would completely flatten your lathed object into 2D space.

Smoothing

This has got to be one of my favorite features of Swift 3D V2. Due to my love for the Cartoon Average Color Fill export option (refer to the section on Output Options in the Preview and Export chapter for more information), I have developed a bizarre passion for hard-edged, geometric shapes. After seeing the consistently smooth nature of lathed objects, being able to turn off this particular object's Smoothing setting was a welcome feature. Now you can reduce the Segmentation of your objects, turn off their Smoothing setting and create objects with hard edges and flat surfaces.

Smoothed with 32 Segments:

Unsmoothed with 4 Segments:

File Size Alert

Of course, now you're starting to think I've got some weird fetish for faceted objects. But it's more just a realization that very smooth, organic shapes don't necessarily make for great renderings when you are exporting with certain output options. Namely, the output options that keep your files small like Cartoon Average Color Fill. Also, if you happen to be exporting the edges of an object, this smoothing function let's you determine the detail of those edges. So if you're into creating small files that still look great, you should definitely look into messing with the Segmentation and Smoothing settings of your lathed objects.


Importing AI and EPS Files Overview

Overview

Come on, admit it… as cheesy as it may sound, we've all had the urge to spin a logo at one point in our life. It's an innate genetic coding that unconsciously drives us to take the single most important piece of graphical information on a Web page and make it do something cool. Extrude, bevel, spin. Extrude, bevel, spin. It's simply hard-coded into our brains, so don't be ashamed. It's perfectly natural and everyone does it.

Well it just so happens that Swift 3D is uncannily good at spinning logos. The combination of AI/EPS import, drag-and-drop animation and vector output makes it the perfect solution for getting that company logo to do the 3D jig on your home page. What's really scary though is the fact that Swift 3D V2 has two new features that make the whole process of 2D to 3D conversion even more streamlined.

The first such feature is our newfound ability to respect the original coloring of the 2D artwork. No longer will you be faced with that disappointed feeling after importing your perfectly colored vector artwork only to find a gunmetal gray 3D object in the Viewport. Now your artistic eye and color creativity will be fully respected. The second feature has to do with our revamped rendering engine, RAViX II. With this new technology sitting at the core of Swift 3D, you will not have the issues of yesteryear when coincident faces and adjoining edges tripped up the rendering process. In fact, RAViX II has threatened to put our Technical Support team out of business.

And let's not forget the world of shape extrusion. Despite our addition of an Extrusion Editor, many of you are going to still want to create your 2D artwork in the comfort of a familiar vector drawing application like Flash or Illustrator. The power of combining an all-powerful drawing program with our AI/EPS extrusion feature will make a 3D modeler out of anyone. You don't have to understand what mesh deformation and spline curves are to be able to draw some shapes, import them into Swift 3D, and piece together your own 3D creation.

Finally, just to cap off an already great feature, Swift 3D will now allow you to edit your original AI/EPS artwork within the Extrusion Editor. So when you need to make that slight adjustment to a curve or a little tweak of an angle, you won't even need to leave the Swift 3D interface.


How to do it

The first step in the process is having a file ready to import. Swift 3D recognizes all AI and EPS files but will only acknowledge the file's contents if it is made of vectors. Now I'm generally a considerate and soft-spoken individual, but I'm going to have to break character for just a moment:

SWIFT 3D DOES NOT IMPORT RASTER IMAGES…. EVER!!!!!

I apologize for that brief moment of in-your-face communication, but you would not believe how many people try to bring raster imagery into Swift 3D. The root of the problem is that although the Adobe Illustrator and Encapsulated PostScript file formats are vector-based, both support the embedding of raster images. So folks will be working on their killer image in a program like Adobe Photoshop or Paint Shop Pro and think that saving their file as an EPS will allow them to turn their image into a 3D object via the Swift 3D import process. Sadly, this is not the case. But at the end of this chapter, I have included some information on what to do if a raster image is all you have, as well as some other tips on getting your vector artwork ready for Swift 3D import. I encourage you to read through that section carefully, since 90% of our technical support issues involve improperly constructed vector files.

How to import an AI or EPS file:

1. With an open document, choose File > Import.

2. Navigate to the file you wish to bring in.

3. Select the file and click OK.

4. Depending on how your 2D file is constructed, you may be faced with the following dialog:

If your artwork contains shapes that consist of an outline and a fill (for example you draw a circle with a black line and fill it with a color), Swift 3D needs to know if you want both objects to be imported into your Swift 3D document. Using the circle example, if you choose lines only, you will import the black line, which in Swift 3D will become a filled circle. If you choose fills only, you will import just the fill, which will also result in just a filled circle. Both of these objects will be identical.

If you choose All Shapes, you will end up with both of these identical objects occupying exactly the same space - not a recommended situation. The only time that the All Shapes selection would be recommended is if your AI/EPS document contains some objects that were drawn with lines only, and some objects drawn with fills only. In this case, if you exclude fills or outlines, you will be leaving out part of your artwork upon import.

It is always recommended that you cross-check the original number of objects in your AI/EPS file (remember to count outlines and fills separately) with the number of objects in your Swift 3D document. In Swift 3D, you can determine this number by clicking on your grouped object and looking in the Selection Window of the timeline. (It will say Group of “X” Objects.)

If you have more objects in your Swift 3D document than in your AI/EPS file, you can track down duplicate objects by CTRL clicking on each individual object and pulling it away so you can see if there is a duplicate behind it.


Colors

Upon import of vector artwork that contains color information, Swift 3D will convert all of the colors contained in the original artwork to their RGB equivalent. You can refer to the Materials Chapter for more information on the process of color conversion.

NOTE: Swift 3D does not support the import of gradients or textures, so please make sure that your artwork is gradient and texture-free before import.


Tips for Building Clean Artwork

Building clean vector artwork

The conversion from the 2D world to the 3D world can sometimes be a less-than-seamless process due to differences that are not always obvious. As you construct your 2D artwork in a third party application, it's important to understand how Swift 3D is going to treat your files upon import. This section deals with how to address those differences before the problems arise.


Text

Typically, when you type text into a 2D vector drawing program it enters the scene as a font rather than pure vector artwork. Before that text can be imported into Swift 3D successfully you must convert that font into outlines. It's a simple process in any application, but definitely a crucial one.


Closed Shapes

It is paramount that you close your shapes before import into Swift 3D, lest you be quite disappointed with the outcome. Since Swift 3D needs a shape to be closed to recognize what to make into a solid mesh, you have to be meticulous. We've seen many a support file where the user claims to have closed shapes and when you zoom way in on their vector file, low and behold there are un-joined endpoints. Just because two vector lines overlap at a single point doesn't always mean that they are mathematically closed. Depending on your 2D drawing application there are ways to guarantee closed shapes. If your file has a mixed bag of closed and open shapes, the closed ones will arrive safe and sound and the open shapes will be missing from your Swift 3D scene.


Excluded Shapes

If you happen to be building a 3D model of a slice of Swiss cheese, you're going to have to learn how to punch holes in stuff. And believe it or not, there are other situations where your 2D extrusion is going to end up more complex than just a filled shape. The nice thing about 2D drawing applications is that you are primarily concerned with how something looks, rather than how it's actually built. Swift 3D, however, cares deeply about the construction of your artwork because it's attempting to convert every piece of vector artwork into a 3-dimensional object.

So if we take a piece of Swiss cheese as an example, you can build it quite easily in the 2D world by drawing a pale yellow rectangle and then drawing a bunch of irregular white circles on top of that rectangle. Print that thing out and it looks great. Save it to a GIF and it's the same. Bring it into Swift 3D and you'll have an extruded pale yellow rectangle with a bunch of extruded white circles in it. Now you don't have to be from Switzerland to realize that you would expect to see through those holes rather than having them be solid objects. But you can't blame Swift 3D for trying.

When we go back to our original artwork, you can easily rectify the problem. All you have to do is exclude those shapes from the original rectangle so that there is no fill within the circles and the paths that define those circles are associated with the rectangle rather than the circles. There are several ways to accomplish this depending on your 2D drawing application, and you'll know you've got it when you can click on the holes and nothing gets selected. This indicates that your cheese is truly Swiss.

Breaking free from this cheesy analogy, you can start to understand how various other 2D situations can pose problems for Swift 3D. But if you keep in mind that construction is critical and Swift 3D sees all vector artwork, even if it's rendered invisible in the 2D world through color selection, you should have a smooth transition from 2D vectors to 3D meshes.


3D Drawings

This one is a little weird, and it has to do with understanding how an extrusion actually works. Rather than re-hashing my earlier description of the extrusion process, I'll throw out an example of what some users have done in the past. Let's say I want to build a model of my desktop monitor. If I have absolutely no prior 3D experience and I'm a good illustrator, I might try drawing a perspective view of what my monitor looks like. I accurately depict the slight curvature of the screen, the beige box that tapers as it heads towards the vanishing point, the detailed ventilation grille that sits obliquely from my vantage point. When it's all said and done, I've got a nice simulated 3D drawing of my monitor, and the next logical step would be to import it into Swift 3D so I can have a true 3D model to animate.

I'm sorry to say it just doesn't work that way. An extrusion is just an extrusion and never more. There is no way for Swift 3D to interpret the 2D vector information I'm throwing at it, as accurate as it may be, and determine what a monitor looks like from every possible angle. You're much better off using the modeling tools within Swift 3D to build yourself a real monitor.


Bitmap Images

Despite the fact that Swift 3D does not import raster imagery, you are not completely out of luck if that's all you have. There are two options that could be a potential solution. The first is hand tracing. This may be a bit on the tedious side but once you're done, you're done forever. The vector artwork that you create through the tracing process can be used in many applications and it's always wise to have a vector version of your artwork anyway since it's much more versatile.

To trace your raster image, bring it into a 2D drawing program through an Import or a Place command. Create a new layer above that image and start going to town with your pen tool. Once you've traced all of the distinct edges in your image with nice clean vectors, you can fill the areas with the appropriate colors. Once you're happy with your tracing and you've addressed all the aforementioned factors, you can delete the raster image and save your file. At that point you should be ready for a smooth vector import into Swift 3D.

Before you try this, you may also want to look into a bitmap-tracing program. Flash actually has this function built in, or products like Adobe Streamline or Corel Trace could serve your purpose as well. The basic concept is that these technologies will attempt to automatically trace your raster image, much like you would do by hand. I say 'attempt' because the results are not always what you would hope for. Basic images that have very distinct differences in colors along fairly clean edges do just fine. But the more complex bitmap image you throw at a bitmap-tracer, the more chaos begins to rear its ugly little head. For example, if you were to trace a raster version of the Electric Rain logo it would come through pretty clean. But if you throw a JPEG picture of your Aunt Bessie into the mix you'll be asking for some serious vector trouble.


Importing 3DS and DXF Files Overview

Overview

We admit the fact that Swift 3D is not the most powerful modeling tool available. There are scads of programs available that will allow you to model anything you can imagine. Some of these other applications are very expensive, and some of them are reasonably priced, but chances are they have one thing in common - they can export to the 3DS and/or the DXF file formats.

Now having acknowledged the fact that we don't corner the market on 3D tools, and then also recognizing that the majority of these other programs don't have the ability of exporting to a vector file format, we offer you a wonderful solution. Swift 3D's ability to import 3DS and DXF files - the two most popular 3D file formats in the industry - provides you with the flexibility of not being forced to use our modeling environment to create your cool objects.

Another terrific thing about these two file formats being so popular is that there are literally tens of thousands of 3D models available on the Web for free or for purchase. So you don't even have to know how to use, let alone own, an expensive modeling program to be able to create great 3D vector animations with Swift 3D.


3DS File Format

The 3DS file format originated with earlier versions of 3D Studio, the high-end modeling and animation package that currently leads the 3D market. It is an open-spec format that most other 3D software applications can export to. For the most part, the file will contain all of the information pertaining to the model itself, otherwise referred to as the 'Mesh.' But if the file was created with 3D Studio MAX, now going by the name of 3ds max, there may be some other relevant information that comes along with the file as well.


Model Mesh

This is a definite. No matter whether you create the file within 3ds max, or any other application, the file will contain the geometry of the model itself. All of the polygons will arrive within Swift 3D safe and sound, along with any information on how the object's surfaces are smoothed. A word of caution is that some 3D applications do not write the most accurate 3DS files, so there are no guarantees as to the integrity of the model if it has been created by a 3D modeling program other than 3ds max.


Materials

It is also highly likely that any coloring of the model will be a part of the imported file. It's very important to note that any bitmap textures that have been applied to the models will not be translated by Swift 3D since we do not mess with raster-based images at all. If there is a texture applied, Swift 3D will merely ignore it, while respecting any colors that may also be applied to the models.


Animations

If the imported 3DS file contained animation before it was exported from 3ds max, all of the relevant keyframes will be respected and appear within the Swift 3D timeline after import. Please realize that the 3DS file format is pretty ancient, so any advanced animations that involve mesh deformation (alteration of the object's geometry) will not be written into the 3DS file in the first place.


Cameras

If the original file was created in 3ds max, Swift 3D will read any targeted camera information that is included in the 3DS file. Once you have imported the file, you'll find the related cameras in the Camera View dropdown list. The properties of the cameras will no longer be accessible to you however, so the best bet is to have them all just the way you want before exporting from 3ds max.


Lights

Lights will also come along for the ride, and appear within Swift 3D after the import of a 3DS file, provided they were written into the file in the first place. The 3DS lights will appear directly within your scene and be represented by the appropriate Swift 3D icons. If you do not create any lights within 3ds max, your file will have Swift 3D's default lighting configuration applied to it.


3DS Properties

Any model meshes brought into Swift 3D in a 3DS file will have some smoothing controls associated with them that appear in the Object Page of the Properties Toolbar. The Auto Smoothing checkbox tells Swift 3D to use the default 3ds max smoothing parameters. This typically yields nicely smoothed objects. If you uncheck this option, you can then manually choose the Smoothing Angle Swift 3D should use on the 3DS objects. The way this setting works is that when you increase the angle (90 degrees maximum), your object gets smoother, and when you decrease the angle, your objects will be more faceted and angular.

Nick's Tips

If you're working with 3ds max and have exported a 3DS file that doesn't seem to be importing into Swift 3D properly, you should re-import the 3DS file into 3ds max. This will demonstrate if all of the associated information is being properly translated into the 3DS file format. Swift 3D can only read the information in the 3DS file, so if it's not getting in there, you need to go back to the drawing board in 3ds max. If it is all there, you’ve got yourself a bona fide tech support issue and we’d love to see that file.


DXF File Format

This file format has its origins with another very popular application, AutoCAD. Although not specifically designed for 3D animation, AutoCAD is the industry-leading computer aided design software that is used in everything from designing buildings to machining equipment parts. DXF is the file format that AutoCAD uses when engineers and architects need to create an actual 3D model from their design.

Since AutoCAD is such a heavily used application, its file format has become ubiquitous as well. So it's not that we expect you to be designing machinery with Swift 3D, but rather the fact that every 3D application we've ever come across has the ability to kick out DXF files. Unlike the 3DS file format, DXF files will never contain any more information than the model itself. But that's OK, because Swift 3D has got enough animation power to get you the rest of the way.

How to Import a DXF file into Swift 3D:

1. Choose File > Import.

2. Select DXF from the list of file import formats supported.

3. Navigate to the DXF file you want to import.

4. Select the file.

5. Click OK.

Since this process does not involve building a new scene, you can import a DXF file into an existing scene, as well as import more than one DXF file into the same scene.


Materials Overview

Look, I'm flat out awful with colors. I'm the kind of guy who you see out in public and you say to yourself, “What was he thinking when he put that shirt on with those pants?” The sort of person who couldn't list two complementary colors with a gun to his head. The type of individual who… Ok, you get the picture, choosing colors is not my forte.

But I know nice colors when I see them together. And all self-deprecation aside, that's my main point here - Color matters.

In the world of Swift 3D, we use the term Materials to describe our colors, and it's not just to be fancy. The reason is that within the 3D world, colors are conditional rather than absolute. By that I mean colors can exhibit different characteristics depending on how light is being cast upon them. And unlike the world of 2D vector graphics, within Swift 3D you can designate how the surface of your object interacts with that light; for instance, whether the surface is glossy or flat.

It's also important to note that colors within the world of 3D-to-vector conversion are even more conditional than normal because of Swift 3D's full spectrum of output styles. You may create the most amazing colors that exhibit exquisite highlights and convey subtle tones of warmth, but if you render the objects in your scene using a basic output style like Cartoon Average Color Fill you'll be a bit disappointed to say the least.

So for all you graphic designers out there who may be used to print media and the precision inherent in color selection, it's time you let your hair down and play around a bit. When you factor in all of the conditions that go into the final colors shown in your rendered file, there's just no way to be as accurate as you're used to.

As I alluded to earlier, I am not the best person to launch into color theory, but certainly we can discuss what goes into the making of a material and how to apply them to different objects.


Working with the Materials Palette

The Materials Palette is where you go to access the world of color. Swift 3D comes with a great selection of materials to choose from, and they are all stored within the different categories in the palette. Since you can also create your own materials in Swift 3D, you have the ability to add those materials to this palette, as well as create your own categories.

To Apply a Material from the Materials Palette:

1. Use the category tabs and scroll bar to choose an appropriate material for your object.

2. Click-and-drag from the material color ball into your scene.

3. As soon as you see the 'Plus' sign appear next to your pointer icon it means you're over an object.

4. Release the mouse button and that object will accept that material.

Applying Materials to Text and Extrusions

There are two types of objects that can accept more than one type of material - Text and 2D Extrusions. Since both of these types of objects have a front face, an edge and a bevel (if applied) you can have up to three different materials applied to each one of these objects. To apply a material to a specific surface of a text or extruded object, simply drop your material onto the section of the object you would like it applied to. There is also another technique covered in the following Material Property section, but this is definitely the easiest way to do it.

Material Drop Surface Target

But what if you would like the material to be applied to the entire object. Rather than applying the same material three times, you can toggle the Material Drop Surface button on and then apply the selected material. As long as this button is toggled on, each material you apply to text and extruded objects will cover the entire object.

Material Drop Surface Target


Material Properties

The Material Property Page of the Properties Toolbar exists for any object you can place into a Swift 3D scene. In the case of most objects, it displays any selected object's currently applied material. However, since text and extruded objects can have a different material applied to each of their 3 surfaces, this page will also display those associated materials.

Material Properties:

One function of the Material Property Page is to allow you to apply a material to a specific surface of text or an extruded object. There are times when dropping a material onto a surface can be difficult, especially if the object is very small or far away from the camera, so this process gives you that added control. To apply a material to a specific surface, select the surface (Faces, Bevels or Edges are your options) in the Material Surface List, and then drop your desired material onto the Material Display Ball in the Properties Toolbar, rather than the scene itself. As long as you have the Material Drop Surface button toggled off, that particular surface of your object will accept that material. Although other objects can be colored this way, this is most useful when working with text or extruded objects.

A second function of the Material Property Page is that it serves as a convenience tool. You can drag-and-drop materials directly from the Material Display Ball in the Properties Toolbar onto any object in your scene. So if you have a bunch of objects with different materials applied to them and you want all of them to have the same material as a particular object, you can select that object and then drag that object's material from the Material Page onto all of the other objects. This can save you from the process of searching the Materials Palette for the exact material you may have applied earlier.

Finally, the Material Property Page allows you to customize a material that has already been applied without having to change the original material. This is a really nice feature since you don't always want to add a new material to the palette every time you need a variation of an existing material. To do this, select the relevant object and double-click on the Material Display Ball in the Properties page. You can then adjust the material applied to that particular object. If you have applied that same material from the Material Properties page then any other objects with that material will reflect your customization as well.


Creating and Editing Materials

Certainly, we would never handcuff you by disallowing any further development of the Materials Palette. The process of creating your own custom materials is fairly easy, but there are some lighting concepts that need to be discussed so you have a firm grasp of the different material characteristics you have control over. There are six characteristics that every material has, whether it's a pre-made material or a custom material built by you.

Material Editor:

To create a brand new material:

1. Choose Setup > Materials.

2. Select the Category your new material will best fit into.

3. Click the Add button.

4. Give your new material a Name and a Display Name.

5. Adjust your Ambient, Diffuse and Highlight parameters by double clicking on the color display box below each category.

6. When the Color Palette (WIN) or Color Picker (MAC) appears you can either choose an existing color or create your own.

7. When you're happy, click the OK button. If you think you might like to use that color again, choose Add to Custom Colors before you click OK.

8. After you've adjusted all three parameters, adjust the Highlight Size with the slider bar.

9. If you want your object to Emit Light (neon effect), check that box.

10. If you want your material to be Double Illuminate (recommended), check that box as well.

11. Click the OK button.

To edit an existing material:

The materials provided with Swift 3D are not editable directly. To create a material based on an existing one, you must first make a copy of the material, then edit it to your liking, and finally save it with a new name.

1. Choose Setup > Materials.

2. Select the material you would like to copy.

3. Click Copy.

4. Select the new material created.

5. Click Edit.

6. Give your material a new Name and Display Name.

7. Adjust your parameters the same way you would when you create a new material.

The New Category button allows you to create an additional tab along the top of the Materials Palette for your freshly created custom materials. Choosing Remove will wipe out any existing materials forever and Move lets you switch materials from category to category. And, in case you're wondering where these materials are stored, they're in the Materials folder wherever you installed the program. They'll be the files with the T3M extension.


Diffuse Light

Diffuse Light is direct, angle-dependant light. It refers to light from a distinct source that directly strikes an object; for instance, if you hold an object under a reading lamp. In Swift 3D, diffuse light defines the color of the object, so if you choose green for the diffuse light component of your material, you'll have a green object. Diffuse light is brightest when the light source is shining directly on the object, or at a 90-degree angle from a surface of an object. As that angle of incidence decreases (becomes more parallel to the surface) the diffuse light will become more and more dim, thus the angle-dependant stuff I mentioned earlier.


Ambient Light

Ambient Light refers to uniform reflected light. Earlier in our talk about the Environment Page of the Properties Toolbar, we used the analogy of the room. Even if an object has no direct light on it, it's usually illuminated by ambient light since those crazy light rays are always bouncing around and coming at us from every angle. Therefore, the color of the surfaces this ambient light is reflecting off of can have an effect on the color of the ambient lighting. For example, if you place a yellow ball in a blue room, the ball will still be yellow, but it will have a slight blue tint from all of that blue ambient lighting. The darker the diffuse light component of a material, the less the ambient light component will affect the overall material characteristics.


Highlight

Highlight is the bright spot an object gets when a distinct light source is directed at it. By changing the color of the highlight, it's like changing the color of the light source being aimed at the object, as if you had a colored spotlight. The lighter the highlight color is, the glossier the material will appear when reacting to light sources, so if you want a very glossy material you should use white as a Highlight color and if you want a completely flat material you should use black.


Highlight Size

The Highlight Size slider adjusts how much area of your object will be covered by the highlight created when a light shines on it. This is another method of controlling the glossiness of a material. Since the color example reacts in real-time to adjustments with the slider, it's easy to get an idea of how the highlight will appear by just playing around.


Emits Light

Checking the Emits Light box creates a neon effect that makes the object seem to glow from the inside. It's kind of neat, but the object's glow does not actually affect any other objects in the scene, so it mostly just serves as a way to make a material very bright.


Double Illuminate

Double Illuminate has to do with some complicated things Swift 3D does when it determines how to shade each individual polygon in an object. Basically, by creating a material that's double illuminate, you are telling Swift 3D to apply that material to both sides of every surface, even if they aren't visible. For example, if you make a cube and place your camera inside that cube, with a double illuminate material you will be able to see the inside surfaces. Without a double illuminate material you would just see black. We feel that double illuminate materials are more versatile so all of the materials that come with Swift 3D are double illuminate.


Materials of Imported AI and EPS Files

Materials in AI and EPS Files

When AI and EPS files are imported, Swift 3D will convert any previously applied colors into their RGB equivalents. But since we now know that Swift 3D materials are much more than just colors, here are some other components that go into creating these new materials.

The calculated RGB color will become the new material's Diffuse Color.

The same color will be used as the material's Ambient Color.

The Highlight Color will be designated as white.

The Highlight Size will be set to medium.

What all this amounts to is that you will end up with a glossy version of the original color that was imported, or at least something very close. You can adjust the properties of the converted materials afterwards, and you can always replace the imported colors with something from the Materials Palette.


Lighting Overview

Overview

I don't want to get personal here, but has this ever happened to you? You're trying on clothes in a department store and you look faaaaaantastic. Then you get home and put on the same garment for the first time in real life and you feel like suing the store for defamation of character.

Ok, here's another one for you. There's a Hollywood actor that you know pretty well, and in prior movies his body has never been something you'd refer to as 'ripped.' Then you see him starring in an action flick, or a boxing movie or something where obligatory sans-shirt scenes are abundant and your jaw drops. Suddenly the guy looks like he's got a Batman Suit on.

Both of these scenarios set your mind to pondering the forces at play in the world of self-image. Does everyone's physical appearance really vary to the degree we perceive? I'd make you guess what's going on in both of these situations, but you'd just cheat and look at the title of this chapter.

Lighting is a crucial component in the process of interpreting our visual surroundings, and this holds true in the world of 3D graphics as well. Once you've laid out your 3D scene, a crucial step in the design process is to determine a lighting scheme that complements your creation. If you're trying to make something look warm and handsome you might use the same concepts that department stores use in their dressing rooms. If it's a heavily contrasted and shadowy effect you're shooting for, then the bare-chested fight scene in the movies might be a better model to use. Whatever the case may be for you, Swift 3D provides a variety of different lighting tools and techniques to help make your scenes stand out.

Nick's Tips

Before you spend tons of time designing the ultimate lighting scheme, you should consider what types of Output Options you will be using to render your final scene. The accuracy of your lighting scheme depends completely on the Fill Option you choose, so it may not benefit you at all to create a detailed lighting setup, only to find that your chosen style of output does not do it justice. I highly recommend spending some time reading the chapter on Output Options so you understand the forces that will be at play on your scene come render time. As a general rule of thumb, the higher the fill quality you render your scene with, the more accurately your lighting scheme will be depicted.


Types of Lights

There are two main types of lights that can be applied in Swift 3D. Depending on what type of effect you're trying to achieve, you can use either Point or Spot Lights, or mix and match as you see fit.

Point Lights

Point Lights are akin to a standard incandescent light bulb hanging from a cord in a room. This light will send rays in all directions and illuminate anything in the path of those rays. Point Lights create an effect of general illumination and cast more light than a Spot Light, but in a broader area. These lights work well for the majority of 3D scenes since they more closely resemble the types of lighting we see in our daily lives.

Spot Lights

Spot Lights behave like a flashlight, thus their representative icon within Swift 3D. They cast a focused beam of light in a specific direction. Although you can adjust how that beam behaves (discussed in the Lighting Properties section) they do not cast any light outside of that beam. These lights are best designed for creating very specific types of effects like a light moving across the face of an object or several objects, each with their own specific lighting.


Trackball Lighting

The easiest way to work with lighting within Swift 3D is to use the Lighting Trackball. It's fast, intuitive, and for most situations, completely effective. Before you jump into its use, you should understand what those lights on the trackball represent and how they relate to your scene.

It's fairly easy to envision lights on that trackball sphere shining into the center of your scene. The difficult part is realizing how big that sphere is. If you imagine that the sphere of lights is as close to the objects as possible, while still encompassing all of the objects within the scene, and then double that imaginary radius you'll be there. This means that as your scene grows in spatial scope, so does your lighting scheme.

Lighting Trackball:

Nick's Tips:

If you've got a scene where all of the objects stay within a certain area, or if you've got an object spinning in the center of your scene without any movement at all, the lighting trackball is really a nicely functioning unit. But if you have a scene where objects are coming and going from your Viewport with a lot of motion involved, you will probably want to go with a lighting scheme where your lights are placed into the scene (read on for information on that process).


Working With Trackball Lights

Positioning Trackball Lights

The Lighting Trackball is selection sensitive, so you can only move one selected light at a time. To select a light, click on it once and you will see it turn into a red wireframe, indicating that it is selected. To position your Trackball Lights you'll be using the Lighting Trackball just as you would the Rotation Trackball. You'll notice that as the lights move from the front of the Trackball to the back, and visa versa, they grow bigger and smaller to give to a visual clue as to which side of the trackball they are on. You should also note that the Lighting Trackball displays your lighting scheme according to whichever camera view (standard and rotation only) you have active.

For information on how the trackballs function, please refer to the corresponding section in the Working With Objects chapter. Remember that as you work with these lights, they are always going to point into the center of your scene. If you get to a point where you just can't get the effect you're trying to achieve, it's probably time to start using the Scene Lights.

Adding and Subtracting Trackball Lights

Adding and Subtracting lights is a very simple process of using the buttons located to the right of the Lighting Trackball. You can add up to 16 total lights to your scene, but you may find that after a adding a few additional lights you don't really need any more. Once a light is selected, you can delete it by clicking the Remove Trackball Light button.

Add Point Light Button

Add Spot Light Button


Scene Lighting

Lights in the Scene

The advantage to working with lights directly in the scene is the additional control you gain. Although the trackball lights function very well, there are situations when positioning a light in the scene is very nice, if not necessary. The first case that comes to mind is when you need a light to shine in a specific direction or onto a specific object. Another situation is if you need to create a complex lighting animation, or if you need to animate two or more lights independently.

The ability to manipulate lights directly in the scene is not a completely new feature to Swift 3D, but the way these lights are handled has changed. With Swift 3D V1, you were able to drag a light into the scene and then manipulate it as an object. Now you can add lights to your scene with the click of a button.

Free Lights

These lights are direct descendants of those that were created when you dragged a light from the trackball to the scene in Swift 3D V1. They can be controlled like any other object in your scene and when you select them, they will appear in the Rotation Trackball as an object. Animation is done just as you would an object, with the only difference being that this particular object is casting light.

Create Free Point Light Button

Create Free Point Light Button

To add a Free Light:

Simply click the Create Free Point Light or Spot Light button and it will appear at its default location in the Viewport.

Targeted Lights

You gain the most control with targeted lights because they come complete with a pivot point. In this case we'll refer to that point as the Target point because a Targeted Light will always point directly at that point. The beauty of this system is that you do not have to fuss with the aiming of the light. All you need to do is place the target point where you want that light to shine and you’re done.

Create Target Point Light Button

Create Target Spot Light Button

To add a Targeted Light:

Simply click the Create Target Point Light or Spot Light button and your light will appear in the Viewport. To adjust the target point's location, click and drag on the target symbol and release when it's where you want. Unlike working with object pivot points, you will always be in the mode where your lights and their corresponding pivot points will move independently from each other.

For more information on working with Target Points, see the section on Pivot Points in the Working With Objects chapter.


Lighting Properties

When you have a light selected, you can view that light's characteristics in the Properties Toolbar. Aside from naming your light, you also have control over its color and whether it is active or not. By double clicking on the Color window you access the Color Palette (WIN) or Color Picker (MAC), which allows you to choose from pre-made colors or create custom colors of your own. For a more in-depth explanation of color creation see Chapter 5 on Materials.

With Spot Lights, you have these same controls as well as three additional ones that control the characteristics of the light's beam. Fade Angle adjusts how wide the spot light will shine. Cutoff Angle refers to how wide the spot light's hot spot is. Tightness controls how quickly the light's intensity transitions between the hot spot and the fade angle. The higher the number, the quicker the light dims.

The Active checkbox allows you to turn the selected light on or off, so you can play with lighting schemes without having to keep adding and deleting lights.

Lighting Properties:

Nick's Tips

A great way to get just the right amount of light cast into a scene is through the process of coloring lights rather than adding or subtracting them. When you want to change the intensity of your lighting, select the light and double click on the light's Color in the Properties Toolbar. To reduce the intensity of the light, choose a darker shade of gray. Because the default color of all lights is white, you cannot increase the amount of light without adding an additional light, so messing with the light colors is always going to be a subtractive process. You can also create cool effects by coloring your lights rather than applying materials to the actual objects. This is also a good technique for making a primitive object appear to have more than one color applied.


Cameras Overview

Overview

Shut your left eye.

I'm serious, go ahead and shut it. Now place your face right up against this page (or your screen if you're reading the electronic version). Now move your head around and look at some different things in the room. Hey, what else do you have to do right now… just do it. Ok, now get up out of your chair, run into the next room, spin around 3 times and then stand on your head. No? All right, forget it. The point is you've got two well-used cameras already built into your head, so there's not too much mystery in the concept of cameras.

You can open your left eye now.

The cameras within Swift 3D work in a similar fashion to your eyes. You can look at different things by moving your head around. You can see things up close and from far away by altering the space between your eyes and your subject matter. And if you're not pleased with your view, you can get up and reposition your cameras somewhere else. Another similarity is that all Swift 3D cameras show a Perspective view, where the laws of physics decide how large objects are in relation to the camera. Orthographic views, where these laws are disregarded, are not supported.

The cameras within Swift 3D can be used in two primary ways. First, they can be used as frames of reference. In other words, used to look into the world of Swift 3D from different perspectives while creating your 3D scene. Second, they can be used to record any action that takes place in your scene. If you've got a scene with no movement, think of your camera as a single-frame picture camera, and if you've got any sort of animation then consider it more of a video camera. And just like a video camera, certain Swift 3D cameras can be physically moved around and pointed at things as you record the movement in your scene.

In all circumstances, the camera that you should eventually be most concerned with is whichever one is showing in the left Viewport when it comes time to render your scene. When you're in the process of laying out your scene you can use any camera in either of the two Swift 3D Viewports, but when you move into the Preview and Export stage of the design process, Swift 3D will only render what is currently showing in the left Viewport, regardless of which camera is currently active.


Standard Cameras

There are six Standard Cameras that come with Swift 3D. I use the term ‘come with’ because you don't have to do anything to create them. The Standard Cameras are Front, Back, Top, Bottom, Right and Left. It might help to think of a big cube that surrounds your scene and each one of these cameras exist on the outside of that cube and look in on the Swift 3D world. These cameras can serve as simple reference views or as integral parts of your animated scene. Each of these cameras can be used as the view that gets rendered upon export, but they cannot be animated. Any camera animations need to be performed with the free and targeted cameras.

Panning

The Standard Cameras move in a specific way that may or may not be conducive to creating 3D animations, depending our your goal. They are most beneficial when your animation does not involve any camera movement, but rather movement of objects. The limitation in panning the Standard Cameras is that they always face the exact same direction, as if they could only move along the surface of that imaginary cube I mentioned earlier. For example, the Front Camera always looks exactly along the Z-axis. When you pan these cameras, it's more of a sliding motion (left, right, up and down) rather than a pivoting motion (as if you were standing in one place and pointing your camera in different directions).

To pan a Standard Camera:

Click-and-drag anywhere in your Viewport where there are no objects. The cursor will change appearance to indicate that you are panning the camera. If you have the reference grid turned on you will see the grid lines, as well as any objects moving around in the viewport. As soon as you release the mouse button, the camera pan icon will disappear.

Zooming

Zooming a Standard Camera in or out will actually move the camera's location in 3D space. Because the camera is essentially the Viewport you are looking through, you don't see the camera actually moving, but instead your scene appears to move closer or further away from you. If you were to compare this process to using a regular picture camera, it would be akin to physically walking closer to or further away from whatever it is you want to take a picture of. This differs from the terminology of picture cameras because zooming with a picture camera is actually done by changing the length of the lens. You can create a similar effect to zooming by changing the lens length (see the following section on Lens Length), but there are other changes that happen to the view of your scene. Plus, the lens length is not something you can animate.

To zoom a standard camera:

Right click-and-drag (WIN) or CTRL + click-and-drag (MAC) anywhere in your scene where there are no objects. Drag your mouse upward to zoom in and downward and downward to zoom out.


Lens Length

I really don't want to bore you with the intricacies of lenticular optics. (Actually, I have no idea what lenticular optics means, but the “I don't want to bore you with” stuff sounds so much more intelligent than the “I have no idea what” stuff. But I'm going to fake it anyway.)

When you lengthen the lens of a camera, it magnifies the image. Because it magnifies the image, you must move the camera farther away from your scene to get an all-encompassing view of your objects. An additional side effect of having a very magnified view is that the camera's field of view becomes very concentrated. In other words, the longer the lens, the smaller the scope of what can be seen through that lens.

When you shorten the length of a camera lens, you are getting a very broad view of your scene. In the process of broadening your view it will seem as if your camera is moving away from the scene, even though that is not the case. To get the scene to fit the scope of the Viewport, you must move the camera very close to the scene's center. In doing this, you will find that in the shortened lens's efforts to show a very wide field of view, distortion begins to occur around the edges of the camera view.

It's important to recognize the difference between adjusting the lens length and zooming the camera. Within Swift 3D, when you zoom a camera in or out on your scene, the camera actually physically moves. When you adjust the lens length, you are simulating the change in the optics of your camera view.

Nick's Tips

Optics, schmoptics, you want to know how to use this setting. Ok, here's the skinny. Shorten your lens length if you want to create a cool 'fish eye' effect where objects are larger and more distorted as they move away from the center of your camera view. I find that somewhere in the teens (11 to 19) works great. Lengthen your lens length if you're doing any tight fly-through animations because you will be less likely to experience objects coming through the clipping plane (essentially busting through the front of the camera). You can also simulate an orthographic view by using a very long lens because as you increase the length, you lose the sense of a perspective view.


Rotating Camera

The Rotating Camera is sort of a hybrid between the Standard Cameras and the Free Camera. The big advantage the Rotating Camera has over the Standard Cameras is that it can be aimed. If you remember the earlier cube analogy, the rotating camera can be positioned anywhere on the surface or within the cube, and aimed in any direction. The big disadvantage of the Rotating Camera over the Free Camera is that any camera manipulation has to be done through the Viewport rather than within the scene itself. Because of this, the Rotating Camera cannot be animated.

To pan the Rotating Camera:

The Rotating Camera pans in the same fashion as the standard cameras, with a click-and-drag anywhere in the scene where there are no objects. But since the Rotating Camera can pivot, when it is rotated off of its default 90-degree axis, the camera will pan along its new axis rather than just along the surface of the imaginary cube mentioned in the Standard Camera description.

To zoom the rotating camera:

Again, zooming with the Rotating Camera is the same process as zooming the standard cameras. A right click-and-drag (WIN) or a CTRL + click-and-drag (MAC) towards the top of the Viewport will zoom in on your scene and dragging towards the bottom of the Viewport will zoom out from the scene.

To aim the Rotating camera:

Since the Rotating Camera can be pointed in different directions, Swift 3D uses the Rotation Trackball to perform the aiming process. Once you select the Rotating Camera by clicking on the background within the Rotating Camera's Viewport, you will see a dual-arrow image appear in the Rotation Trackball. These two arrows represent the rotating camera and exist to provide you with some visual feedback when positioning this camera. The green arrow is the camera's vertical axis and the blue arrow is the direction your camera is aimed. Aside from this, all of the camera rotation will be the same as rotating objects, so you can refer to the chapter on Working With Objects for more information on this process.

Rotating Camera in Rotation Trackball:


Camera Pan Mode

This button is only necessary when there is no background visible to select within the Viewport that does not contain an object. The main situation when this would occur is if an object is very close to the camera. With the Camera Pan button toggled on, the camera will pan or zoom no matter where you click-and-drag on the scene. It's impossible to select objects when in this mode.

Camera Pan Mode Button

It's easy to turn the Camera Pan button on and forget about it. Later, you're on the verge of a nervous breakdown because you can't select the flippin' torus you just created. I feel like there are enough things in the world to get frustrated about so I avoid this button unless I am absolutely forced to use it.


Secondary Camera Button

The default configuration of Swift 3D is to have two Viewports showing in the Swift 3D interface. This setup allows you to use two different views of your 3D world and helps to keep you oriented as you design your scenes. You are in no way obligated to buy into this concept and can turn off the secondary camera view by toggling the Secondary Camera View button off.

Secondary Camera Button


Zoom Camera Extents Button

There may be times during the creation of a scene when you want to adjust your camera view so that your objects fill the Viewport. The Zoom Camera Extents button does just this. A simple click will position the camera directly in front of all of your objects while zooming either in or out so that all of your objects are visible with only a slight buffer of space around the edge of the Viewport.

Zoom Camera Extents Button


Reset Camera Location

This control, located on the Rotation Toolbar, will move your camera's location back to the center of your scene, but will not touch any zooming that has taken place. If you want to look at it mathematically, it repositions your camera so that its coordinates are X = O and Y = 0, while Z remains the same. This function only works with the 6 Standard Cameras.

Reset Camera Location Button


Free Cameras

Now we're talking some serious cameras. If you ever tried to do a complex camera animation in Swift 3D V1, you are about to realize how much you missed these new cameras. The primary paradigm shift with both the Free Camera and the Targeted Camera is that these cameras actually show up in the Viewport and can be manipulated as objects. This allows for much better camera control and facilitates camera animation like you wouldn't believe. For this reason, the Free and Targeted Cameras are the only two cameras that can be animated.

Create Free Camera Button

Starting with the Free Camera, when you click the Create Free Camera button you will see a light blue rectangular looking object appear in your Viewport. This represents the free camera, but in order to actually view what the Free Camera is seeing you must first change the view of one of your Viewports. New cameras get assigned a default name of Camera01, Camera02, etc. and they can be selected in the Camera View dropdown list. You can create multiple Free and Targeted Cameras, but you may want to start naming them to keep track since they will all be represented with identical icons in the scene.

Choosing Free Camera from dropdown list:

Selecting the Free Camera can be done by clicking within the Camera's Viewport, like a Standard Camera, or by clicking directly on the camera itself in any other view. Once you select the camera it will turn red and you'll notice that the same two arrows appear in the Rotation Trackball as did with the Rotating Camera. These are used as references to show you which way the camera is pointing (blue arrow) and which direction is the camera's vertical axis (green arrow).

Once the Free Camera gets inserted, you can move it around, via the secondary Viewport, just like a regular object, and you can also control its movements through the Free Camera's Viewport, much like you would a Standard or Rotating Camera. You can choose which method is most appropriate, but I find that using the Free camera's view for zooming and the secondary view for camera positioning works pretty well. The jury is still out on rotation control.


Targeted Cameras

Better known as ‘The ultimate Swift 3D camera,’ Targeted Cameras give you the same control over the camera's positioning, but add the ability to aim the camera at specific locations in the scene via the target point. Manipulating the Targeted Camera is identical to the Free Camera, only no matter how you move or zoom the camera it will always point exactly at its associated target point. For this reason, the only way to rotate the Targeted Camera is by actually moving the Pivot Point, so when you have the camera selected you will only see the green arrow in the rotation trackball. This allows you to control the roll of the camera, much like tilting your head left and right as you aim a regular picture camera.

Create Target Camera Button

The positioning of the Targeted Camera's pivot point is actually less involved than that of objects because there is only one mode you can use - Move Independently. This means that when you move a Targeted Camera, the Pivot Point will always remain in the same spot, and when you move the pivot point, the Targeted Camera will always stay in exactly the same spot.

Choosing Targeted Camera from dropdown list:

Nick's Tips

We've all got preferences in life, and here's mine. When working with Free or Targeted Cameras, I like to use the left Viewport as my camera view and use the right Viewport as my scene view, keeping it set to the Top view most of the time. My rationale is that the left Viewport is always the one that gets rendered upon export, and when I'm doing camera animations the likelihood is high that I'll want to render what that camera actually sees. As far as the Top view goes, I feel this particular view gives you the best reference of where things are in the scene, much like a Plan view in architectural drawings. Of course this can vary depending on how your scene is constructed.


Animation Overview

Overview

Animation is really what it's all about. Not to exclude you folks that have a yearning for single-frame images, but Swift 3D is always ready to rumble when it comes to applying movement to your scene. In fact, it feels slightly cheated when denied the opportunity to prove to the world that vector animation doesn't have to be a flat experience. Which leads us to our next discussion.

Swift 3D has solved the confounding problem of creating quality 3D images in a vector-based file format. Swift 3D has terrific creation and animation tools that allow you to create dynamic scenes. But Swift 3D is NOT the panacea of the low-bandwidth 3D world. By that, I mean that just because you can export vector files from Swift 3D does not implicitly indicate that every animation you crank out of the software will be Web-friendly.

But maybe you bought Swift 3D for the sole purpose of creating animations for the Web. Don't panic. You've got the perfect tool, but you just have to use it the proper way to keep your exported files within reasonable size proportions. Understanding the limitation of how 3D converts to 2D vectors is very important when designing your scenes. On the other hand, if you have no limitations on file size, for instance if you're creating CD or DVD presentations, or something that will be viewed over a network or on a local machine, you don't necessarily have to pay attention to any of this low-bandwidth gibberish I'm spouting.

When displaying 3D animations in a 2D environment (like the Flash Player for example) it is always a process of sequential keyframes. That means that if you have a 100-frame animation within Swift 3D, when you render your file you will have 100 keyframes to work with. Since neither the Flash Player nor the SVG Viewer supports native 3D objects, Swift 3D has to tell these plug-ins exactly what to show for each frame of your animation.

And what does this mean to your average Web designer, you ask? Use 3D wisely! When creating animations for the Web, Swift 3D is best suited for creating short animations that become part of a larger scene or movie. Not to say that you can't create long and detailed self-contained animations that look great, but you might not be able to stream them to a 28.8 kbs modem too well.

So let's take a look at Macromedia Flash and Adobe LiveMotion, two vector graphics editors that you might be using your 3D animations in conjunction with. They too can create exciting animation, and their strongest selling point is the ability to do so without creating large files. So realizing what you can do best in Swift 3D and what you can do more efficiently in a vector editing application is very important as you start designing your scenes.

Two-dimensional vector editors do a great job of moving objects around in 2D space, and making them change shape over time. What these editors can't do well is spin, rotate or flip objects in 3D space. These are the features that Swift 3D specializes in. So, with that said, try to keep in mind what types of movement are best done with Swift 3D - rotation animations - and what things you'll be better off doing in your 2D vector editor of choice - scale and position animations.


Understanding Keyframes

Working With Keyframes

Understanding keyframes and how they work is an important step in creating animations quickly. Sure, you can tell Swift 3D exactly what you want your scene to look like in every frame, but you'd be better off using the built-in tweening functions associated with the Animation Timeline. Basically, keyframes represent points in an animation where you can make important changes take place. In between the keyframes, Swift 3D will make all the decisions on how your scene changes automatically. The keyframes simply give Swift 3D reference points to work from while it decides how to create the transitional frames using the tweening process.

File Size Alert

The easiest way to conserve on file size is to make your animations as short as they can possibly be, while still meeting your overall design goal. Two techniques of accomplishing this are as follows:

1. If you have a symmetrical object, like a cube for instance, with a rotation animation applied to it, you can export just a section of the rotation and then loop the animation to simulate a full turn. In the case of the cube, it's got four sides, so a quarter turn is all you need to get a seamless rotation.

2. If you have a logo or spinning text, you can render only the frames where the artwork is facing the camera and then loop the animation. This will give you the effect of a full 360-degree spin while never having your logo or text facing backwards.


Using the Animate Button

Animate Button

This all-powerful toggle button located on the Main Toolbar slips you in and out of animation mode. When this button is toggled off, nothing you do to your scene or the timeline will affect your animation. When it is toggled on, any changes you make to your scene will be recorded as keyframes in the timeline and thus affect your overall animation. The best way to use this button is to set up your entire scene first, turn the Animate button on, and then proceed to develop your animation using the techniques covered within this chapter. This is a new feature in Swift 3D V2 and was implemented to safeguard against erroneous changes to your animations.

Animate Toggle Button


Animation Timeline Toolbar

This toolbar is where you control all aspects of animation in your scene. The timeline is divided into frames, much like the individual frames of a movie. The more frames, the longer the movie, unless you start to mess with the Frames Per Second control that will be discussed in a moment. You can either create animations by changing each of the individual frames (takes awhile - don't bother), or create several keyframes and let Swift 3D interpolate or ‘tween’ the animation in between (definitely the way to go).

Animation Toolbar:


Selection Name

The Selection Name window of the animation timeline displays the name of your currently selected object. Since the Animation Timeline is selection dependant, the timeline shows the animation properties for whichever object, camera or light is selected, and thus displayed in the Selection Name window. To better organize your more complicated scenes, you may find the naming process covered in the chapter on Working With Objects useful.


Current Frame Indicator

The Current Frame Indicator shows what frame your scene is currently in. By default, the Current Frame Indicator is on frame zero. Once you toggle the Animate button on, you can slide the Current Frame Indicator to a later frame, make changes, and these changes will create keyframes in the timeline, thus animating your scene.

Once an animation has been created, you can use this red bar to preview your animation or move to a specific frame for further editing. The dark gray bar behind the current frame indicator shows the total number of frames in your animation.


Animation Properties

There are several properties of an object that can be animated, and all of those properties are listed directly underneath the Selection Name window. Although certain types of objects can have certain types of animation properties, here is a list of all the possible properties that can be animated:

Material - This property can be animated with all objects within Swift 3D except for lights and cameras.

Position - This property pertains to any animations involving objects that change their location on the X, Y, Z coordinate grid.

Pivot - Any object that has an associated pivot point can have an animated Pivot property.

Roll - This property only applies to targeted cameras and targeted lights, and it indicates when a camera or light is rolled to the left or to the right.

Rotation - If an object has its rotation animated, this is where it will show up. This could be any object except for the targeted cameras and targeted lights.

Scale - When objects change their scale over time, this property will reflect that change.

Shape - The only object that can animate its shape is the Tetrahedron.

Scale Axis - This is also a Tetrahedron-specific animation property.

Again, you will never have the ability to animate all of these properties of a single object because different types of objects have different properties that can be animated.


Playback Controls

These control buttons allow you to view your animation, as well as jump around in the timeline.

Play - Does just that.

Stop - The opposite of play.

First Frame - Moves the scene to the first frame of your animation.

Previous Frame - Moves the scene back one frame.

Next Frame - Advances scene to the next frame.

Last Frame - Advances scene to the last frame of your animation.


Frames Per Second

The Frames Per Second Control allows you to adjust how quickly the frames of your animation will play after exporting to a file. The more frames that get viewed each second, the more smoothly your animation will play. But the more frames that get exported to a file, the larger that file will be, so there is always a subjective decision to get made here. The default of 12 frames per second has proven itself to be very effective for use on the Web but it's important to note that when you import Swift 3D files into Flash or LiveMotion, these programs override any adjustments you make in Swift 3D and revert back to their default setting.


Loop Animation

This little button determines how Swift 3D will render your final file with regards to creating looping animations. If you are creating a linear animation where your last frame is not the same as your first frame, you want to turn this button off. If you're attempting to create a seamlessly looping animation where your first frame is identical to your last frame, you should turn this button on (default configuration). You see, when your last frame is the same as your first frame and you loop the entire animation you'll end up with two identical frames in a row, which will manifest itself as a pause in your final animation. When you toggle the Loop Animation button on, Swift 3D automatically skips the rendering of your final frame so that you don't end up with that unsightly pause.

This will in no way affect whether or not your animation loops when played in the Flash Player or when imported into Flash or LiveMotion. By default, all SWF animations rendered from Swift 3D will automatically loop when played in the Flash Player, and all SWF files imported into Flash or LiveMotion will assume the default loop settings of those applications.


Animation Palette

The drag-and-drop animations are the easiest way to get your scene moving. We've supplied you with some common animations within the Animation Palette that cover the basics. You know, spin right, clockwise spin, 45-degree right spin. The typical animations you might want to apply. To preview the animations just click on the thumbnail image and you'll see a small-scale rendition of the action. To apply them to your image just click-and-drag from the Preview Window onto whatever object you wish to be animated. When you apply an animation from this palette, the Animate toggle button gets overridden and allows the application of the animation. The default length of the drag-and-drop animations is 20 frames, but that can be easily adjusted using the techniques covered later in this chapter.

To apply a drag-and-drop animation:

1. Click on the Show Animations button in the Gallery Toolbar.

2. Choose an animation that you like.

3. Click-and-drag from that animation's preview window.

4. Move your cursor over the object or group of objects and release the mouse button.

5. Click the Play button on the Playback Controls to view your animation.

Drag-and-drop Animation Palette:

NOTE: You can only apply one drag-and-drop rotation animation to each object. As soon as you apply a second, it will override the first. You can, however, create a nested animation by applying one animation to an object, then group that object with other objects, and then apply a second animation to the grouped object. In this case, the original object will carry out its first animation while partaking in the second animation as well. You can nest these animations several layers deep.


Animation Drop Target

This feature only applies to Text objects. When this button is off, any drag-and-drop animations will be applied to your entire text object as a whole. When this button is toggled on, drag-and-drop animations are applied to each of the characters in a text object individually or each individual object in a group. For example, if you drop a spin onto your text while the Drop Target button is toggled on, each individual character will spin around their respective axis.

Animation Drop Target Button

If you want to apply a drag-and-drop animation to just one character, hold down the CTRL button while dragging the animation to the desired character. Make sure the Animation Drop Target button is not toggled on.

Scenes can get very confusing when you start to animate individual characters in text objects. I wouldn't do much more than apply spins to characters since changing their paths really creates chaos. If you need to delete an animation for an individual character, hold down the CTRL key as you select that character. Its animation properties will appear in the animation timeline and you can delete the animation by Right clicking (WIN) or CTRL + Clicking (MAC) on the timeline and selecting Delete All Key Frames.


Saving an Animation to the Animation Palette

Saving to the Animation Palette

As you become more familiar with Swift 3D and start generating some cool animations, you may come across something you'd like to save for later. Not the image, mind you, but the animation scheme. Swift allows you to take your self-created animations and turn them into drag and drop animations for easy application at a later date.

To create your own drag-and-drop animation:

1. Design an animation you like.

2. Select the Object that has the killer animation you want to preserve.

3. Choose File > Save Animation.

4. Select a Category your animation will fit into or make a new category under Setup > Animations.

5. Invent a Name and a Display Name for your animation.

6. Use the Set Display Frame controls to choose what frame of your animation to show in the preview window.

7. Click OK.

Save Animation Dialog:

The animation you're turning into a drag-and-drop will have the same number of frames as your original. Once saved, you can find the animations in the Animations folder wherever you installed Swift 3D. They’re the ones with the T3A extension.


Keyframe Animation

To create a basic keyframe animation using the timeline:

1. Create a scene with at least one object.

2. Toggle the Animate button on.

3. Click-and-drag the Current Frame Indicator to the desired frame number, setting your animation length.

4. Manipulate your object(s). For each Animation Property that you change there will be a corresponding keyframe added to the timeline.

5. To view your animation, press the Play button.


Starting and Stopping Animations

Pausing Animations

Within the Animation Timeline, each keyframe has a Start Animation and a Stop Animation control. Within one frame the controls are set to the same value so there is no pause. Adjusting these controls allows you to stop one aspect of an animation for as long as you want. For example, you may want a spinning text object to pause mid-spin so it's easier to read. We've used the universal “Green equals Go, Red equals Stop” color scheme to make it obvious when an object is going to move, rotate or change size, and when it is going to stop doing those things.

To pause an animation:

1. Toggle the Animate button on.

2. Position your cursor over the left half of the keyframe bar.

3. When you get the Left Directional Arrow, click and drag to where you want your animation to begin its pause.

4. If you want to adjust the Animation Start Time, do the same on the right half of the keyframe.

5. To adjust the location of the pause, position your cursor over the Red Bar in between the start and stop animation control bars and click-and-drag to reposition the entire keyframe.


Adjusting Animation Length

This new feature in V2 is a big time saver. It allows you to scale your animations without having to adjust every single keyframe involved. The first technique involves scaling an entire animation at once. In this case, every single keyframe of every single object, camera and light will be adjusted in proportion with each other simultaneously.

To scale an entire animation:

1. Toggle the Animate button on.

2. Click-and-drag on the bar located just beyond the last frame of your animation in the upper section of the timeline where the frame numbers are displayed.

3. Move the marker to your desired ending frame.

4. Release the mouse button.

To scale the animation of an object:

1. Select the object whose animation length you would like to alter.

2. Toggle the Animate button on.

3. Click-and-drag on the long bar at the end of your object's Animation Properties (e.g. Position, Scale, Rotation, etc.).

4. Move the marker to your desired ending frame.

5. Release the mouse button.


Copying and Pasting Keyframes

If you have the need to create a keyframe identical to an existing keyframe, you can use the Copy/Paste Keyframe function. The most common use of this is when you have an animation that you would like to loop; having the same starting and ending keyframes insures a smooth loop in your animation. (See the section on the Loop Toggle button earlier in this chapter for more information on looping animations.)

To copy and paste a keyframe:

1. Select the object whose animation you would like to edit.

2. Toggle the Animate button on.

3. Right click (WIN) or CTRL + click (MAC) on the keyframe you would like to copy, and choose Copy Keyframe from the context menu.

4. Move your cursor over the frame you would like to paste the keyframe into.

5. Right click (WIN) or CTRL + click (MAC) on that frame and choose Paste Keyframe from the context menu.


Deleting Keyframes

There are a few different methods of deleting parts of your animations depending on how much of the animation you would like to get rid of.

To delete an individual keyframe:

1. Select the object whose animation you would like to edit.

2. Toggle the Animate button on.

3. Right Click (WIN) or CTRL + Click (MAC) on the keyframe you would like to delete.

4. Choose Delete Keyframe from the menu.

To delete the selected object or camera animation:

1. Select the object or camera whose animation you would like to delete.

2. Toggle the Animate button on.

3. Right Click (WIN) or CTRL + Click (MAC) anywhere in the timeline.

4. Select Delete All Keyframes from the context menu.

To delete all object animations:

1. Choose File > Delete Object Animations.

2. When the warning message appears, click OK.

To delete all animations:

1. Choose File > Delete All Animations.

2. When the warning message appears, click OK.


Keyframe Properties

When you Right click (WIN) or CTRL + click (MAC) on any of your keyframes there is an option to select Properties. With this feature you can adjust how the animation behaves as it's played.

Keyframe Properties:

The three main adjustments you can make are Tension, Continuity and Bias. These features are designed to influence how paths and scaling behave, not spins.

Tension controls how smoothly the animation flows through the keyframe. With less tension the animation will flow more naturally through each keyframe. With more tension the animation will have a more abrupt feeling as it moves through each keyframe.

Continuity is a similar control only it allows you to force the animation past its designated keyframe. For example, if you apply a high continuity to a scaling animation where the object is getting smaller then larger, the object will get even smaller than the keyframe, then bounce to the keyframe size, then get smaller again before it finally increases in size to the next keyframe.

Bias allows you to control whether an animation flows equally through a keyframe or whether it favors one side or the other. For example, a curved path animation would be more heavily curved on the side you adjust the bias towards.

Linear Frame Spacing has to do with how much your objects move between each frame as they transition through a keyframe. The default is to have this feature turned off, which allows Swift 3D to automatically apply custom spacing between each frame, giving you a smoother animation. If you want to override this custom spacing you can turn Linear Frame Spacing on.


Animating Scale

The ability to animate the scale of objects has always been a part of Swift 3D through the use of the Scaling Mode button on the main toolbar. But now with the addition of non-uniform scaling you can do much more with this feature than ever before. The first step in understanding non-uniform scaling is to know that every Swift 3D object has three different Scale Axis: width, height and depth. When you select an object and go to the Scale Page of the Properties Toolbar you will see the object's default settings of 1.00, 1.00 and 1.00. These are the three settings that you can animate, and the process is different than changing the sizing of an object (covered in the Scaling section of the Working With Objects Chapter).

To animate uniform scaling of an object:

1. Toggle the Animate button on.

2. Select the frame you would like your scaling animation to end.

3. Click the Scaling Mode button.

4. Click-and-drag on the object to rescale it proportionately.

5. Release your mouse button when it's the correct size.

NOTE: The Scaling Mode button is a one-time deal, so if you want to make further scaling adjustments you'll need to click that button each time.

To animate non-uniform scaling of an object:

1. Toggle the Animate button on.

2. Select the frame you would like your scaling animation to end.

3. Select the object you would like to scale.

4. Click on the Scale Page in the Properties Toolbar.

5. Adjust the Scale Axis you wish to animate, or change all three.


Animating Materials

The animation of materials is basically the process of telling Swift 3D what you want your object's color to be at the start of your animation and at the end of the animation, and letting the program do the rest for you. As soon as you animate a material, you will see the related keyframes appear in the Animation Timeline under the Material animation property.

To animate materials:

1. Apply a material to your object in the first frame of an existing animation.

2. Toggle the Animate button on.

3. Move the Current Frame Indicator to the frame you'd like your material animation to end.

4. Apply a second material.


Animating Lights

A very trick feature in Swift 3D is the ability to animate your lighting scheme. You can accomplish this feat by either animating Trackball Lights or by animating Scene Lights.

To animate Trackball Lights:

1. Create a scene with at least one object.

2. Adjust your Trackball Lights as desired.

3. Toggle the Animate button on.

4. Move the Current Frame Indicator to the end of your desired lighting animation.

5. Adjust your Trackball Lights as desired.

Your lights are now animated, with their positions being tweened from the start frame to the end frame. You can track their movement by watching the lighting trackball while the animation plays.

To animate Scene Lights:

1. Create a scene with at least one object.

2. Insert the desired lights into the scene and adjust their positions accordingly.

3. Remove any Trackball Lights as needed (not required).

4. Toggle the Animate button on.

5. Move the Current Frame Indicator to the end of your desired lighting animation.

6. Change the location of your Scene Lights as desired.


Animating Cameras

Now that Swift 3D has the ability to create Free and Targeted Cameras, you cannot animate the Standard or the Rotating Cameras. Any camera animation you'll be doing will happen with either of these Scene Cameras.

To animate a Free or Targeted Camera:

1. Create a scene with at least one object.

2. Insert a Free or Targeted Camera.

3. Position your camera where you want the camera animation to start.

4. Toggle the Animate button on.

5. Select the frame you would like your camera animation to end.

6. Adjust the position of your camera.

You can create as many keyframes as you'd like to insure your camera animation is just as it should be. You can also animate any objects and lights in conjunction with your camera animations.


Preview and Export Editor Overview

Overview

I have to admit that if it weren't for this chapter, Swift 3D would not exist. You see there are many, many 3D programs in this world. I believe Swift 3D to be an awesome program, but the main reason you bought it is because of its ability to export vectors, plain and simple. Despite its intuitive interface, versatile tools and ability to produce great 3D in a short amount of time, the true power of the application lies within the previewing and exporting process. This is where all of your efforts in designing cool 3D animations come to fruition as a final rendered file containing pure vector content. It's a beautiful thing. But I digress.

The core of the preview and export process lies within the technological confines of Swift 3D's 2nd generation vector rendering engine, RAViX II. This ingenious chunk of code has the ability to take the raster-based images you see within the Swift 3D interface, efficiently reduce them to simple lines and fills, and finally wrap them up into your vector file format of choice.

But be careful of the word simple, because in actuality RAViX II can generate vector images that rival the complexity and detail of even the best raster output from other 3D software applications. But if it's simplicity you're after, RAViX II offers that as well. We tout Swift 3D as a full-spectrum solution which means that our renderer lets you choose what type of vector output you want - from the supremely accurate, per-polygon gradient shading right on down to the minimalist approach of basic outlines. It's there, and the Preview and Export tab of the Swift 3D interface is where you get to make the artistic decisions based on your project goals.


Previewing vs. Rendering vs. Exporting

Rendering vs. Exporting

We sort of worked our way into a corner with the use of these three terms. Swift 3D V1 was fairly straightforward. When you were ready to generate a file you used the Export command. Everyone seemed to understand what that meant. But as we began further development on the application and realized that serious 3D designers were using Swift 3D on a regular basis, we rethought the word 'Export' because it's not really the best description of what RAViX II does. The most appropriate term is 'Render' so now we're faced with changing our paradigm.

To make it more confusing, Swift 3D V2 has a complete preview system that allows you to adjust your settings and see exactly what your final output will look like after you create the file. And here's the real stickler... our preview system is where the actual rendering takes place.

So here's our new workflow - love it or leave it. First you choose your output options. Then you render a preview. Finally, if it all looks good, you export to a file. That's our story and we're sticking to it.

How to render a preview and export a file:

1. Click the Preview and Export Editor tab.

2. Set your Output Options.

3. Click Generate Current Frame or Generate Animation Reel.

4. Watch RAViX II render your preview.

5. Click Export Current Frame or Export Entire Animation.

6. Name your file and click Save.

Now this is obviously an overview of the many things you can accomplish within the Preview and Export Editor, so you will most likely want to continue reading.


Output Options Overview

Output Options

This is really where the big-time decisions get made. We built Swift 3D to give designers serious control over what their output looks like. Depending on the desired effect, file size, application, etc. of your final vector file, the choices are all contained within this section of the rendering dialog.

It is well worth your while to read through each option carefully so you truly understand what sort of forces are at work on your rendered file. It could mean the difference between a post-render exclamation of “What the he...that looks nasty,” and “OOOOHHHHH...me likey!”


General

The Output Options can be broken up into three primary categories, and of course General is where we put all the controls that didn't belong in the other two categories. It covers the basics of file types, and how you want RAViX II to treat certain aspects of the rendering process.

General Output Options:


Target File Type

Depending on what your publishing goals are, you have four different file formats to choose from:

Macromedia Flash (SWF)

Adobe Illustrator (AI)

Encapsulated PostScript (EPS)

Scalable Vector Graphics (SVG)


Macromedia Flash (SWF)

The ubiquity of the Flash Player has allowed the SWF file format to become the de facto standard for vector graphics on the Web. It has become the low-bandwidth solution for creating animations, interactivity and now 3D to be displayed across multiple platforms and devices.

One limitation of Flash is the fact that there is no support for 3D natively within the Flash Player (i.e. an internal rendering engine). Of course, Swift 3D would probably not exist if this were the case, so it's not really a limitation for Electric Rain. What Swift 3D needs to accomplish in order to translate your 3D animation to 2D vectors is to write out exactly what Flash should be displaying in each and every frame. In other words, we have to export a keyframe for every frame of your animation.

And therein lies the limitation. Since Flash doesn't know how to tween 3D objects between keyframes, very long animations can be quite large in file size. Your 3D scene may only be 5K when you render out one frame, but if you have an animation that's 100 frames long, you're going to be looking at a final file that's approaching 500K.

Now a relevant consideration is where you're going to be publishing this file. If it's going on a CD or displayed locally on a network, file size is not an issue. But most users are using Flash to display their 3D content over the Web, in which case file size plays a big factor in deciding on a design.

I highly recommend taking a look at the section on Output Options to gain crucial information on how to balance your 3D animation quality with your file size concerns.


Adobe Illustrator (AI)

Swift 3D can render your 3D files accurately enough so that when you import it into a 2D vector drawing program, it's like it was hand drawn. The implications of this are subtle, but deep. The ability to create scalable 3D images is a powerful option, since bitmap 3D exports have their limitations.

Let's say you want to create a 3D version of your logo. With Swift 3D, you can export to AI or EPS and you'll have a scalable version of that logo so you don't have to mess with pixels, resolution and other assorted complexities of raster graphics.

You'll notice that when you choose AI as an export option, the two gradient shading fill options, Area and Mesh, become unavailable. This is due to the fact that RAViX II does not currently support Level 3 EPS. The most detailed output option you can attain without rendering gradients is the Cartoon Full Color Fill.


Encapsulated PostScript (EPS)

If you are going to be using EPS renders for print media, please see the explanation under Adobe Illustrator (AI).

But if you're looking to create 3D content for an Adobe LiveMotion project, Sequential EPS is your ticket, since that's the most efficient method of getting your MAX scenes to vectors with LiveMotion. Upon export, you will end up with a series of EPS files labeled ‘filename001.eps’, ‘filename002.eps’, etc. EPS export has the same Level 2 restrictions as AI, so you do not have access to the two gradient shading options.

NOTE: You want to avoid using any numbers in your file name since they will end up wreaking havoc on the sequential naming process.

When you're ready to import your vectorized (or is it vectorated?) 3D files into LiveMotion, use the Place Sequence command and choose the first file. LiveMotion will automatically import the entire sequence. You can find more information on working with LiveMotion in the chapter on Working With Exported Files.


Scalable Vector Graphics (SVG)

Is SVG going to be the next vector graphics wave of the future? I have no idea. But I do know that Swift 3D exports to SVG, so at least you have the option if you need it.

Upon writing to the SVG file format, you have a couple of extra options to think about. As soon as you choose SVG from the Save As Type dropdown list, the Animation Level and Compressed menu items will become active.

Aside from those features, your Output Options are identical to those of SWF, AI and EPS exports.


File Level

This feature is applicable only when you're exporting to the SWF file format. Although all of our rendered vector files are fairly homogenous, we had to include a little bit of extra information in the Flash 4 files due to a bug in the Flash 4 authoring tool. So when you export to Flash 4 using the Area or Mesh Gradient Shading option, you will end up with a dummy frame at the beginning of your animation. Once imported into Flash, you just need to delete the extra frame and save your project.

Aside from that, the three file types are all the same. No matter what you save your file as, it will play back in any compatible version of the Flash Player, and will import into a version of the Flash authoring tool that is equal to or greater than the level you choose.


SVG Options

As I mentioned earlier, when you are rendering a file to the SVG file format, you have a few extra options to choose from.

Compressed

Compressed does just that - squash your final file 8 to 9 times what it would be if left uncompressed. The obvious advantage is that it's easier to publish to the Web when compressed. The disadvantage is that you lose editability, so if you're looking to incorporate your SVG animation into another SVG file, you'll want to leave it uncompressed until you have a final product.

Animation

Animation Level refers to how you want your SVG files to be built. The two options you have are Native and Script.

Native means that the scripting that drives your animation is included within the SVG code itself.

Script will generate two files for you - one SVG file that contains the frames of your animation and one HTML file that contains a JavaScript that drives your animation.

One difference you may want to pay attention to is if you have a long animation (more than 40 frames or so) you will start to see the file size increase when exporting with the Native Animation Level.


Detail Level

Crank it up! Wait, don't crank it up! Wait, it all depends.

I'm always hesitant to put these types of controls into a user interface because the tendency is to crank it up as high as possible because obviously detail is a good thing. Unfortunately, by doing this you end up with slower rendering times and larger files.

This is one of those case-by-case controls that may need to be fooled around with to get the best results. And just when you think you've figured out what the best setting is, you throw a new scene in and it's a whole new ball game.

Nick's Tips

Despite the fact that our default setting for Detail Level is Automatic, I'd advocate trying the Low setting until you get output that doesn't look good. It speeds up rendering time by a bunch, and I usually don't see any flaws showing up on Low that I don't also get with it set on Automatic. By using Low first, you can get a quick rendering that will most likely be of good quality. And if you see any significant flaws, you probably would have had to go to the Medium or High settings anyway.

In addition to this Detail Level decision, you can also alter your rendering times and output accuracy by using smaller or larger dimensions in the Layout setting of your scene. If you're really trying to increase the speed of RAViX II, you can make your scene really small and set the Detail Level to Low. But if your file comes back all funky, don't say I didn't warn you because there is no guarantee of rendering quality when you start tweaking both settings at once. Certainly there is plenty of room for experimentation here, and you'll most likely find your own comfortable balance between rendering speed and file quality.


Curve Fitting

The elegant curve… so supple… so smooth. So file size friendly! That's right, curves are good for more than just art, they're good for bandwidth too. You see, since vectors are drawn mathematically, it takes more pieces of information to draw 10 line segments than it does one continuous curve.

So why the slider, you ask? Don't I always want to draw curves? Not exactly.

Although, in theory, curves should give you better results, in practice it's not always the case. There's something about the way Flash geometry is calculated that often times results in irregular curves. If you take a semi-smooth object in Flash and optimize its curves as much as possible, chances are you'll get some distortion of your outline. Unfortunately the same holds true for our vector output.

There are really two things you can play around with when it comes to balancing accuracy and file size. The first is this Curve Fitting slider and the second is the Detail Level. Again, it's tough to give you an exact formula that works for every model. If that formula existed we would have hard coded the settings, but it really varies from model to model and animation to animation.

All I can do is make a recommendation. Leave the slider where it is unless you don't like your output quality or file size. If your file is too fat (file size wise), crank it on up towards Curves and see if you get good image quality. If your image quality is not to your liking or your animation is a little jumpy where you've got curves, crank it down towards Lines and see if it helps.

Swift 3D is a bit like a musical instrument; you've got to practice it a little before the subtleties become readily apparent. That's the melodramatic way of saying, “Try some different stuff and see what works for you.”


Combine Edges and Fills

This little feature got one of those “it does what?” (along with a right-side face scrunch) reactions when the engineers first described it to me.

Basically, RAViX II can export your lines and fills with two forms of construction. If you choose not to Combine Edges and Fills, when you import your vector file into Flash you will have lines and fills that can be separated without breaking the object apart. If you choose to Combine Edges and Fills (the default setting), your lines and fills can't be separated from each other in Flash unless you break apart your object.

The advantage to having them combined is that your files will be smaller. Plus, most of the time you won't need to gain control over each individual line segment. The advantage to having them uncombined is that you can separate your outlines and fills without having to break them apart.


Fill Options

Here's a little analogy for you...

Creating solid objects with clay is pretty straightforward. You mold it, you bake it, you're done. But creating them with vectors is a little more involved - sort of like applying the glaze to your clay model. It brings out the next level of artistry. Well Swift 3D gives you seven different types of ‘Glaze’ to work with, and then throws in a couple of ‘Glaze Effects’ for you to have fun with.

And now I'm done with that lame analogy.

You can break up the eight different styles of fill rendering into two main categories: Flat Fills and Gradient Fills. Although there are five Flat Fill options, they all have one thing in common - only flat colors get applied to your objects. The big difference between the five is how many shades of flat colors get used in the process. The two Gradient Fill options apply vector gradients to your objects, and the difference between the two is how detailed the gradients get.

Fill Output Options:


Cartoon Single Color Fill

This option is Swift 3D's most basic fill export type. Although it exports very small files, the quality of resulting animations is very simplistic. What RAViX II does to render this fill option is take the diffuse color for each object in your scene, and applies that color to the entire object. There are several situations where the Cartoon Single Color Fill is appropriate to use.

If you have models that are broken up into several smaller sections with differing materials applied to them, the colors can often give you a better sense of shape without needing to define your edges.

If you are exporting with outlines, this fill level is greatly enhanced because the outlines will define the surfaces, while the fills will give the image its solidity.

If you're looking for the true ‘cartoony’ look, this can be an effective output style. However, you may find that exporting outlines is necessary to give your characters and objects more definition.

Cartoon Single Color Fill:


Cartoon Average Color Fill

Hi, my name is Nick, and I'm a Cartoon Average Color Fill freak!

Seriously, since the inception of this rendering option, I have exported more animations using Average Fill than all the other fill options combined. In my humble, non-designer opinion, it gives you just the right combination of eye-pleasing 3D effect and modest file size.

Let me explain how it works. When you choose to export an animation using the Cartoon Average Color Fill option, RAViX II will separate your objects into groups of polygons that occur on similar surfaces and apply a flat fill to each one of the surfaces based upon its angle towards your light sources.

The true beauty of Cartoon Average Color Fill shines through when you animate an object. RAViX II will recalculate each surface's brightness for every frame of your animation. When you play the animation back, your eyes are tricked into seeing gradients when none are actually present.

Of course there are situations where Cartoon Average Color Fill does not do objects justice. With fairly smooth, organic models there are very few surfaces defined by hard edges and the power of the Cartoon Average Color Fill is lost. In those cases you might as well be exporting with Cartoon Single Color Fill.

Cartoon Average Color Fill:


Cartoon Two Color Fill

This export format is the next step up in quality from the Cartoon Single Color Fill (duh) and you can see that the addition of another color begins to really define the 3D shape. In this case, RAViX II is calculating the angles of your lights and determining which parts of each surface should be lighter and which should be darker.

Because there is more vector information going into the file (additional colored fills), your files will be larger than the Cartoon Single Color Fill option, but if you compare them side-by-side, you may find the sacrifice to be very worthwhile.

On the other hand, if you're dealing with geometric shapes that consist of many flat planes (a cube for example), you won't find much benefit exporting with two, four or full color fills because it appears a little unnatural to have flat surfaces broken into several shades of a single color. With those types of objects, the Cartoon Average Color Fill would be appropriate.

Cartoon Two Color Fill:


Cartoon Four Color Fill

With four colors being applied to each surface, you will see some realism coming into your models. Unfortunately, file size begins to become an issue. Depending on the length of your animation and targeted audience, you may find Cartoon Four Color Fill to be a little too heavy. But if bandwidth is not an issue or your project is going to be distributed via CD, DVD, locally on a network, or via print media, the details that start to come out with this output option are nice.

Cartoon Four Color Fill:


Cartoon Full Color Fill

This export format is about as realistic as you can get without actually applying gradients. What RAViX II does here is apply a custom shade of the applied material to every single polygon of each surface. It's still applying flat fills, but in a very detailed manner. Due to the detail involved, the higher the polygon count in your models, the bigger the exported file.

In my honest opinion (shhh, don't tell the engineers), if you're looking for a high level of detail and file size is not an issue, the Mesh Gradient Shading is a better option than this. But if you're going to be rendering an AI or EPS file, this format gives you the highest quality possible since you can't export gradients with those formats.

Cartoon Full Color Fill:


Area Gradient Shading

I remember a time long ago when I was pushing the Area Gradient Shading export option pretty heavily. It was before we released a version of RAViX that had the Cartoon Average Color Fill option. Now that they're both in my life, the choice becomes a little less clear cut, but they are both very powerful fill styles when it comes to creating a good level of realism without jacking your file size through the roof. But first let me explain how the bloody thing works.

When you choose to export an image or animation using the Area Gradient Shading feature, RAViX II looks for groups of polygons that occur on similar surfaces and applies one radial gradient to each surface. It determines those surfaces by the presence, or lack thereof, of hard edges in your model. By applying a limited number of gradients to your file, RAViX II can generate some nice looking content in a pretty tight manner.

Models that work well with this export option tend to be more faceted (created from many distinctly defined surfaces) in nature. I find that scenes with a combination of flat and smooth surfaces work the best with Area Gradient Shading because the curved surfaces will exhibit nice gradients while the flat surfaces will maintain a more even appearance. When objects are mostly smooth, the gradients can become a little overbearing.

Area Gradient Shading:


Mesh Gradient Shading

This is the Grand Pooh-Bah of fill options. At this point in time, there's nothing better in the world when it comes to vector rendering quality. What it accomplishes is nothing short of amazing, but then again, I'm not a 3D artist and can be easily impressed, so you can judge for yourself.

If you choose to render your file with Mesh Gradient Shading, each polygon in your scene receives a linear gradient fill. That means that high polygon models will get really big, really fast. And even low poly models with short animations can generate files too big for reasonable use on the Web.

So what's the point, you ask? Scalability. With the vector output, you can show your detailed renderings at any size and they will always look identical. Not true with any bitmap formats. Besides that there are often cases where you only need one detailed image for the Web, thus avoiding the compounding effect of sequential keyframe animations. And then there are all those cases where you might be using Swift 3D for multimedia presentations that are not distributed through the Web.

So I'll leave it up to you to decide if Mesh Gradient Shading is useful for your design purposes. But much like a V-12 engine, whether you use it or not, it's always nice to know you've got the power under the hood.

Mesh Gradient Shading:


Include Specular Highlights

This feature definitely qualifies as a Bell and Whistle, but it's a loud one. When you're exporting files using the Cartoon Single Color Fill, Cartoon Average Color Fill or Area Gradient Shading, a single flat color or gradient is applied to each surface. The ability to include a specular highlight with those export styles adds a little zip to an otherwise flat file. Just that little glint of light on a surface can illicit a positive reaction in the ole' optic nerve.

RAViX II looks for surfaces that are close to being perpendicular to light sources in the scene. When it finds them, it applies a lighter color to that area. The more glossy the materials you use, the more dramatic the specular highlights will become upon rendering.


Include Shadows

Shadows seem to take 3D to the next level of realism. Now obviously, they're not for every situation, but in certain instances they can make a scene really come to life.

How does it work? Pretty simple. Upon export, you turn on shadow casting and then choose the light that you want to cast your shadow with. Once you make the choice and render your scene, you'll have a shadow in your file, as long as there is something to cast that shadow onto.

Planes: A popular application of shadows is to place a plane object below your scene and have a light that illuminates your objects from above, thus casting a shadow onto the plane.

Self Shadows: If you have objects with extensions, for example in a character animation with arms and legs, when you choose to render shadows you can get some nice effects generated when parts of your object get in between the shadow casting light and the rest of the object.

Other Objects: In scenes where there are multiple objects, a properly chosen shadow light can create very cool shadows that get cast onto other nearby objects in the scene.

NOTE: You can expect to see your render times increase significantly when you're exporting with shadows. Also, since there will need to be more vector information written into your files with shadows, you will see an increase in the size of your files as well.

Include Shadows:


Shadow/Specular Light

This dropdown list allows you to select the light source you would like to cast shadows and/or the light source you want to designate as the specular light. Swift 3D allows you to only select one light source for shadow casting and for specular highlights.


Edge Options

Edges, edges and more edges. We learned our lesson after releasing Swift 3D V1 - edges mean different things to different people. So we went ahead and beefed up our edge rendering options to make sure our users could get exactly the look they wanted.

It's important to mention that you can export edges only, or combine them with any of the fill options. And remember that the additional edge information being written into your vector file is going to beef up your file size over whatever it would be with just fills.

Edge Output Options:


Edge Type

You have two options when choosing the Edge Type feature: Outlines and Entire Mesh.

Outlines

I like to call this one 'Hard Edges' because that's what RAViX II looks for when it's detecting where to draw the outlines. So if you're looking at one corner of a cube and choose this output option, you'll see the image on the left, but if you're looking at a sphere from any angle and choose the Outline option, you'll see the image on the right. As you can see, the sphere doesn't really have any hard edges, so you end up with just the outline of the entire shape without any internal detail.

Outline Edges:

Entire Mesh

When you think 'Wireframe,' RAViX II thinks Entire Mesh. Essentially what's going on here is Swift 3D is exporting the outlines of every single polygon in your scene. The tighter the mesh is, the more polygons RAViX II will export, and the larger the final file size becomes.

Entire Mesh Edges:

The only way you can alter the detail of your exported image is to either reduce or increase the number of polygons in your scene. You can control this by using the Segmentation settings within each object's Properties Page, but not all types of objects within Swift 3D can be changed in this manner. Very smooth (high-poly) objects can turn almost black with lines and very rough (low-poly) objects will begin to look like they were exported using the Outlines option.


Include Hidden Edges

This feature is a variation of the wireframe concept in that it exports the front and the back edges of your model, giving it a transparent look. The best way to describe it is visually. The first image is a cube without the hidden edges exported and the second has the hidden edges included:

That should pretty much clear things up for you. Just remember that you will be increasing your file size with the Hidden Edges being drawn because you're creating more information in that final vector file. And unless you have a very low polygon model, I wouldn't recommend using this feature with the Entire Mesh outline option because you will probably see way too many lines show up upon rendering.


Include Detail Edges

There are obvious places to find edges and less obvious places, and the Include Edge Detail control allows you to delineate where that line is drawn.

The lowest level of edge detection comes when you are only looking for an outside edge - essentially an outline around your objects. But there is typically much more to an object that you want to define such as all of the interior lines that really bring out the detail and third dimension of an object.

By choosing to turn this feature on, you are telling RAViX II to start looking for those interior edges. The next decision comes with choosing how much detail you want to call out, which gets decided through the Detail Angle control.


Detail Edge Angle

This function allows you to adjust how sensitive RAViX II is to the Detail Edge detection. The way it works is the lower the threshold angle, the more edges will be detected, and conversely the higher you go, the less edges will be detected. Sort of counter-intuitive, but hey, it's the geometry, not us.

This model was rendered with Include Detail Edges activated and the Detail Edge Angle set to 10 degrees. This enabled all of the edges around the curved surfaces to be detected and drawn.

It all hinges upon the angle differences between the different faces of your objects, so there's not really a good way to describe which edges will be detected under which angle settings because it really depends on how your objects are constructed. The best bet is to mess around until you get the appropriate number of edges being detected and rendered out.


Line Weight

This function allows you to designate the weight of your lines upon rendering. There's a range from hairline to 10 point.

NOTE: If you're exporting to Flash (SWF), you’ll have to zoom way in on a rendering to actually notice any changes in line weights until you start getting above 1 Point of thickness.


Line Color

This one is pretty much a no-brainer. Double click on the color box, choose your color, and bingo, your edges will be that color. Since I'm completely unqualified to go into color theory, that's about as far as I'm going to take that one.


Render Preview Overview

Render Preview

As previously mentioned, this section of the Preview and Export Editor is where you actually perform the rendering of your animation, but it also allows you to have much more control over the individual frames of an entire animation, pre- and post-render.

The three main uses for the editing feature of the preview system are as follows:

1. Choosing which frames of your animation you would like RAViX II to render. This is very useful when you just want to sample some different output options and get a feel for what it will look like after the entire animation is rendered. Also, there are often situations where you only need to have certain parts of an animation rendered and exported to a file.

2. Viewing sections of a rendered animation. For example, if you'd like to see what your animation would look like if you only exported every second frame. Or maybe there are certain frames that seem unnecessary but you want to view the animation with and without them to make sure.

3. Choosing which frames of your animation you want included in the final exported file.


Generate Entire Animation

If you were to imagine RAViX II as a wild, toothy beast locked up in a cage, seething with boundless energy waiting for the opportunity to sink its vector-rendering fangs into your animation, this button is the key to that lock. Or you can just think of this as the Render Entire Animation button. One way or the other, a click of this button will begin the rendering process. Due to the nature of 3D animation, your 3D scene will get rendered one frame at a time to create a series of vector images that, when played sequentially, make up an animation.

As the rendering takes place you will see a few things happening. Along the bottom of the interface the Status Bar will show the progress of each frame and there will be a Cancel button that stops the rendering process. If you choose to cancel the process of creating a preview, all of your Output Option settings will remain as you left them, but any frames or animations that had been previously rendered will not be available for editing or viewing. You will also see each frame displayed within the Preview Editor as well as within the Preview Window. The images displayed in the editor are merely thumbnails of your actual file, but the image displayed in the preview window is the real deal. It's basically an exact replica of the vector images that your final file will consist of.


Generate Current Frame

This button holds the same key to RAViX's cage but only offers the beast a weekend pass to your 3D scene. Render Current Frame will only render out the frame that is currently selected in the Scene Editor. If you're curious what frame you left the Scene Editor on, you can look up at the Preview Editor and the frame selected will show you which frame will be rendered.


Generate Selected Frames

This feature allows you to apply a special flavoring to selected frames so that when you unleash RAViX II it will only ravage those designated frames before returning to its den. To choose certain frames of your animation, please refer to the upcoming section on selecting frames. If you need to refer to your animation to determine which frames you want rendered, you can move back and forth between the Scene Editor and the Preview and Export Editor without de-selecting frames already slated for rendering.


Select Every Nth Frame

Often times you'd like to see what your animation would look like if it had less frames. Since 3D in Flash is done with a series of keyframes, being able to reduce the number of frames exported from Swift 3D can help save dramatically on file size. By selecting every Nth frame you can save time in rendering or save file size in exporting, while still knowing exactly what the animation looks like before you create a file.


Selecting Frames

The process of selecting frames is integral to using the Preview Editor. Fortunately, it's really easy. Clicking on a frame will select an individual frame. Holding down the CTRL key while selecting will allow you to select multiple frames that are not in a sequence. Holding down the SHIFT key will allow you to select all of the frames in between the last frame you selected and the one you select next. Once you have the frames selected, if you click on an unselected frame without the appropriate key depressed, you will end up de-selecting all of your frames and just selecting the individual frame you just clicked on.


Lock Selected Frames

When messing around with the selection process, it's easy to errantly erase a carefully selected set of frames, so the Lock Selected Frames button will disallow you from selecting, or even seeing the frames that are not selected.


Preview Playback Controls

Playback Controls

Once you have rendered a preview, these controls allow you to view the results. They function just like the controls associated with the Animation Timeline in the Scene Editor.

NOTE: After you have rendered a preview of your animation, that rendering will be available for export to file until you either render another preview or go back into the Scene Editor and change anything about your scene. At that point your preview will disappear and you will need to render another preview before exporting to a file.


Export To File Overview

Export To File

The final step in creating vector output from Swift 3D is the Export to File function. At this point you should be happy with the scene or animation you see within the preview window, because that is exactly what your final file will consist of. The process of exporting to a file is very quick, so don't freak out and imagine you have to wait through the rendering process again. All you're doing at this point is naming your file and having Swift 3D write the pre-rendered vector information to a file. This typically takes a few seconds, but with very large files it may take a minute or longer.

How to export a vector file:

1. Make sure you have first rendered your scene via the Render Preview step.

2. Choose the Export button you would like.

3. Name your file and choose where you want it to be created.

4. Click Save.


Export Entire Animation

This will create a file that contains every single rendered frame of your animation. If you have chosen to only render certain frames of your original animation via the Render Preview step, those are the ones that will go into this file. There is no way to export frames that are a part of your original animation without first rendering a preview of those frames.


Export Current Frame

This button will create a file based on whatever frame is currently selected in the Preview Editor and thus showing in the Preview window. This function does not refer to what frame is selected in the Scene Editor.


Export Selected Frames

This option lets you export only the frames that you have selected in the Preview Editor. This button is only active when you have two or more frames selected.


Working With Exported Files Overview

Overview

I realize that there is life after Swift 3D, and that many of our users are working with other applications to integrate their 3D content. I applaud those folks, because I believe that the best use for 3D is through an integrated approach, where your 3D elements are combined with 2D design elements. It certainly makes the most sense for keeping file size down.

So I've included this brief chapter on working with your file in other applications, namely Macromedia Flash and Adobe LiveMotion. Certainly there is other vector animation software, but since these are the two primary suspects, that is where we'll focus our attention.


Working With Files in Macromedia Flash

SWF Files in Flash

I'm not a Flash Guru. Never have been, and probably never will be. But in working with Swift 3D and communicating with our users who are mostly striving to attain this coveted title of Flash Guru, I've picked up a few tips and tricks that make the integration of our product and Flash a nice smooth process.

Importing into Flash

Once you've completed the rendering and exporting process you'll be left with a single precious SWF file. The first thing you'll want to do is import this SWF file into Flash.

To import a SWF file into Flash:

1. Create a New file or Open an existing project.

2. Choose Import from the File Menu.

3. Navigate to the file you just exported and select it.

4. Click OK.

NOTE: If you are using the Flash 4 File Level when exporting gradients from Swift 3D, you'll need to delete the first dummy frame of the animation. This process exists due to a bug in the Flash 4 authoring environment where very little of your animation is even viewable within the application. It plays just fine in the Flash Player, but working with invisible objects is no fun so we include some extra information in that frame to overcome the bug. Flash 5 or 3 does not exhibit this problem.

You will find that your entire animation has appeared on the timeline as a series of keyframes in their own layer. It may behoove you to import your SWF file into a Movie Clip, in which case you would go through the same process after you've created a new Movie Clip. Or another option is to import it into your scene and then convert it to a Movie Clip.

Editing In Flash

Since the animation you just imported is a series of keyframes, making edits to all the frames at once can be a bit cumbersome. Fortunately there is the Edit Multiple Frames function in Flash to help you out.

To edit multiple frames in Flash:

  1. Click the Edit Multiple Frames button along the bottom of the Timeline.

  2. Drag the End Onion Skin bracket to the end of your animation.

  3. Drag a marquee box around the entire scene to select all the objects in all the frames.

Once you have done this all of the imported artwork is selected, but you must do a Modify > Break Apart command to actually be able to edit the lines and fills of your artwork. Once the frames are broken apart you can edit the images as you would any other objects in Flash.

If you have brought your animation in as a movie clip, you may want to center your animation within the movie clip stage so that when you place the clip into your main scene it will appear centered on where you drop it. To do this you just go through the same process of selecting all of the frames of your animation and then click and drag them all at once to the center of your movie clip, represented by the small cross-hatch in the center of the stage.

Optimizing In Flash

As you probably know, Flash has an optimize function that converts lines to curves, thus lowering file size by reducing the amount of mathematical information needed to draw the vector lines and fills. With a little tweaking, you can get your file to tighten up, but there is definitely a point where things start to lose their original shape.

To optimize your Swift 3D files in Flash:

1. Click the Edit Multiple Frames button along the bottom of the Timeline.

2. Drag the End Onion Skin bracket to the end of your animation.

3. Drag a marquee box around the entire scene to select all the objects in all the frames.

4. Select Modify > Break Apart.

5. Choose Modify > Curves > Optimize (Flash 4) or Modify > Optimize (Flash 5).

6. Play with the slider and see how much you can tighten the belt of your final SWF file.


Working With Files in Adobe LiveMotion

EPS Files in LiveMotion

For those users who are working with Adobe LiveMotion to create your vector animations, Swift 3D acts in the same complementary manner as it does with Flash. But there is one main difference in the workflow, and that is based on the fact that LiveMotion does not currently support the importation of SWF files. They use Sequential EPS files as their solution to importing vector animations. The process is slightly more cumbersome, but maybe Version 2.0 of LiveMotion will render all of my advice here useless. But until it hits the streets, this is how you do it.

Importing into LiveMotion

Since Adobe LiveMotion does not import SWF files, the most efficient method of getting your Swift 3D content into LiveMotion is via the Sequential EPS file format. Then you can import those multiple files into LiveMotion and work with your animation as a whole again.

To import Sequential EPS files into LiveMotion:

1. From within LiveMotion, choose File > Place Sequence.

2. Navigate to the location of your exported Swift 3D files.

3. Select the first file in the sequence of EPS files.

4. Click OK.

This will get you to the point where your Swift 3D animation arrives in full force on the LiveMotion stage with a corresponding object named 'Sequence' on the timeline.

A second method of working with Swift 3D-generated content in LiveMotion is via the Load Movie command. Although this does not give you the versatility of having your 3D animations directly integrated with the rest of your LiveMotion scene, it will allow you to use gradients in your projects since the SWF files are not limited to flat fills like the EPS files.

To use the Load Movie command in LiveMotion:

1. Add a behavior event to either a timeline or an object state.

2. Choose Load Movie from the Add Behavior pop-up menu in the Edit Behaviors dialog box.

3. In the URL text box, enter the location of the SWF file that you want to load.

4. Choose either the Replace or Append option for the incoming file.

5. Click OK.

Replace replaces the current animation with the incoming animation. The current animation ends immediately, and the incoming animation starts playing from its first frame. Append overlays the incoming animation on top of the current animation. If Append is chosen, you can enter a Layer value, indicating where in the stack of animations (not the composition stacking order) this file belongs. To replace another loaded movie, choose the Append option and specify the same Layer as the unwanted movie. Do not use the Replace command to replace anything except the original animation.


Step 12: Group objects and position group

Group and position objects

1. Go to the Edit menu and choose Select All.

2. Choose Arrange > Group.

3. Select your grouped object.

4. Turn on the Lock Vertical Axis button in the Rotation Toolbar and make sure that 45 degrees is still your designated Rotation Increment.

5. Rotate the Demo Buggy two clicks (90 degrees) vertically so that it is facing away from Camera01 (left Viewport). Then click the Lock Horizontal Axis button and rotate the buggy four clicks (180 degrees) so that it faces Camera01.


Step 13: Animate the targeted camera

Animate the targeted camera

1. From the Main Toolbar, toggle the Animate button on.

2. Click-and-drag the red Current Frame Indicator (at the top of the Timeline) to reposition it at Frame 10.

3. Select the Targeted Camera (will turn red when selected) in the Top view (right Viewport) and click-and-drag the camera to the left of the DemoBuggy.

4. You’ll see that a keyframe under the Position category is automatically added for you.

5. Select the Left camera view in the left Viewport and drag Camera01 so it is slightly higher than the buggy.

6. Move the Current Frame Indicator to frame 20.

7. In the Top camera view, move Camera01 so that it is behind the buggy and then use the Left camera view to position it well above the object.

8. Move the Current Frame Indicator to frame 30.

9. Move Camera01 in the Top camera view so that it is positioned to the right of the Buggy and then drop it back down so that it’s slightly above the DemoBuggy using the Left camera view.

10. Right click (WIN) or CTRL + click (MAC) on the first Keyframe of your animation (under the Position category) and choose Copy Keyframe from the context menu.

11. Right click (WIN) or CTRL+ click (MAC) on frame 40 under the Position category and choose Paste Keyframe from the context menu.

12. Toggle the Animate button off.

13. Select Camera01 as the camera to be shown in the left Viewport.

14. Press the Play button to view your animation. Note: Due to the dual Viewports, Swift 3D will play your animation much slower than full speed. To speed up the viewing you can turn off the secondary camera and choose Fast Shaded, Outline or Box mode from the Display section of the Layout Page of the Properties Toolbar. These display modes can also make working with objects and animations much smoother, since they redraw much faster than the shaded option.


Step 9: Apply drag-and-drop materials

Apply drag-and-drop materials

1. Select the Materials Palette from the Gallery Toolbar (already selected by default).

2. Choose the Glossy tab.

3. Click-and-drag from any of the Material Display Balls onto the various components of your DemoBuggy. Here is where you get to break free my controlling tutorial and be creative.

4. You’ll notice that the extruded object of the vehicle body can accept up to three separate materials: one on the faces (top and bottom), one on the edges (you’ll need to apply to these surfaces via the Top Viewport), and then the bevels.


Step 8: Scaling and Positioning

Scaling and Positioning

1. Click the Sphere button on the Main Toolbar. Beware, the object may overwhelm the Viewport

2. Click on the Scaling Mode button and scale the sphere down so it sits nicely within the body.

3. Select the Scale Page from the Properties Toolbar (make sure the Sphere is still selected).

4. Increase the Y Factor to 0.25 and increase the Z Factor to 0.20.

5. Select the Position Page from the Properties Toolbar.

6. Increase the X position to 0.04 and decrease the Y position to -0.04. You should be looking at something that closely resembles this:


Step 5: Insert and position a primitive object

Insert and position an object

1. Click on the Cone primitive button on the Main Toolbar.

2. Right click-and-drag (WIN) or CTRL + click-and-drag (MAC) on the background towards the bottom of the screen to zoom your scene out enough to see the entire Cone.

3. Click the Scaling Mode button.

4. Click-and-drag on the Cone (near the edge) and scale it down by dragging your cursor towards the center of the Cone until it looks reasonably sized. If you want more horse power from your buggy you can leave it on the big side.

5. Click-and-drag on the Cone and reposition it so that it merges nicely with the extruded body. Note: You may have to zoom in once during the move to accurately position the Cone.


Step 7: Rotate objects accurately

Rotate objects accurately

1. Click the Lock Spin Axis button on the left side of the Rotation Toolbar.

2. Click on the Rotation Increment button and select 45 degrees from the list.

3. Select one of your tires.

4. Click-and-drag on the edge of the trackball and rotate your

5. tire two increments (90 degrees) so that the axle points towards the DemoBuggy. Do the same for the other three tires.

6. Click-and-drag on each tire and position them so that the axles merge with the body. Try to make them all as symmetrical as possible.


Step 4: Modify the Properties of the extrusion

Modify extrusion properties

1. Select your newly extruded object by clicking on it in the Viewport.

2. Go to the Properties List Box and choose the Sizing Page.

3. Adjust the Depth to 0.100.

4. Select the Bevels Page from the Property List Box.

5. Select Beveled from the Style dropdown list.

6. Increase the bevel depth to 0.030.

7. Your DemoBuggy chassis should now be looking like this:


Step 2: Use the Extrusion Editor

Use the Extrusion Editor

1. Click on the Extrusion Editor tab along the top of the interface. The Pen tool and the Corner Point button will both be selected by default.

2. Draw these 10 points in about the same position as shown by clicking once at each location you want to create a point.

3. Click on the Selection Tool.

4. Click-and-drag a marquee box around the bottom five points, thus selecting them all.

5. Click on the Curve Point button.

6. Adjust each of the five Bezier handles to make the paths smooth.

7. Click on the Scene Editor tab to view your extruded object.


Step 6: Use the Lathe Editor

Use the Lathe Editor

1. Click the Lathe Editor tab along the top of the interface.

2. Select the Pen Tool (already selected by default).

3. Start inserting points (the same way you did with the Extrusion Editor) until this shape is drawn:

4. Click the Selection Tool and reposition any points that need adjustment.

5. Click on the Scene Editor tab.

6. Click the Scaling Mode button and scale your tire so that it’s nicely proportional to the body.

7. Select the tire and do an Edit > Copy command, and then two Edit > Paste commands.

8. Click-and-drag the two tire copies away from the original.

9. Click the Scaling Mode button and scale down one of the tires by about a third of its original size.

10. Select that smaller tire and do an Edit > Copy and an Edit > Paste command.

11. Drag that final tire to a new spot in your scene.


Step 14: Use the Preview and Export Editor

Use Preview and Export Editor

1. Click the Preview and Export Editor tab along the top of the interface.

2. Under the Output Options choose the Fill Options category and select Area Gradient Shading from the Fill Type dropdown list.

3. Under the Render Preview section, click Generate Current Frame and you’ll see the status bar showing the rendering progress.

4. At this point I urge you to start playing around with some of the Output Options so you can get a feel for how each setting affects your rendered file. When you find one that you would like to see rendered out fully, click the Generate Animation Reel.

5. When RAViX II is done rendering your animation, you can view it by using the Playback Controls along the bottom of the Render Preview Toolbar.

6. To create a final file from your animation, choose Export Entire Animation from the Export to File area of the Preview and Export Editor. At that point you can name your file and you are totally done!


Step 10: Use the Trackball Lighting

Use the Trackball Lighting

1. Select the Point Light on the left side of the Lighting Trackball.

2. Rotate the trackball by clicking-and-dragging with your mouse so that the selected light is positioned towards the front and slightly up to the left.

3. Select the other Point Light and position it at the back of the trackball.


Step 3: Work with a Standard Camera

Work with a Standard Camera

1. Right click-and-drag (WIN) or CTRL + click-and-drag (MAC) on the background of the Front Camera (left Viewport).

2. Zoom out by dragging towards the bottom of the screen to the point where you’ll have room to attach the wheels.


Step 11: Work with a targeted camera

Work with a targeted camera

1. Click on the Create Targeted Camera button on the Main Toolbar.

2. Right click-and-drag (WIN) or CTRL click-and-drag (MAC) downward in the Top Camera Viewport (right side) to zoom out from your scene enough to see the Targeted Camera.

3. Click on the Camera dropdown list in the left Viewport and select Camera 01 from the list.

Now you have a camera in your scene that can be animated. The target point is at the center of your scene, which is also the center of your object.


Step 1: Open a new document

Open a new document

1. Open Swift 3D and you will automatically have a new document open.


Tutorial Overview

The basic goal of the tutorial is to model a vehicle that looks something like the image below. In the process of creating this model, let’s just call it DemoBuggy for kicks, we’ll try and hit all the major components of Swift 3D’s modeling tools. At that point we’ll do a camera animation that shows our DemoBuggy in all its splendor. Finally, we’ll render the animation, bringing the tutorial to a close.